---
lang: ja
---
## OSS

### c3.js

- Merged https://github.com/c3js/c3/pull/2385
  - v0.6.2 としてリリース
  - リリース手順がかなり自動化されているので、かなり楽にリリース出来た. ただ、ドキュメントサイトの middleman が鬱陶しいので、早く gulp or bulbo に移行したい.

### golang/go

- Closed https://github.com/golang/go/pull/25267
  - Go の html の coverage レポートのインデックスページ (各ファイルの一覧表示) が無いので足すという PR. 出してからものすごい時間が空いてから Rob Pike がそんな変更要らんと言ってきたので閉じた. 明らかに見通し悪くて不便なんだけど、 html レポート作る周りのコードはテストもない (というか js をテストする仕組み自体持って居ない) ので、おそらくメンテナンス出来そうにないので、これ以上何もしたくないということなのかなという印象.

### ry/deno

- Merged https://github.com/ry/deno/pull/2
  - deno の typo を直した. 4番目のコントリビュータになった.
  - testing 以下のライセンスが間違っているエラーも見つけたけど、こちらは知り合いに託した.

今週はみんな ry/deno の話をしているという印象. import とか、uncaught error とか、green threads とか、node の根本的な負の部分を解決しているので、かなり魅力のあるプロジェクトだと思う.

## News

- GitHub が Microsoft に買われた. gitlab に移行する動きとか出ているらしいけれど、個人的には今の所移行する気はなし. 量が多すぎるし、CI のフックがどうなるとか、greenkeeper はどうなるとか、考えることはかなり多そうで、そう簡単に移行できる気がしない.

## MyProject

### kt3k/moneybit-app

Moneybit は Free で Open Source なモバイル会計アプリ. 複式簿記で入力出来て、随時貸借対照表 (バランスシート) を表示できて、確定申告にもそのまま使えるというアプリ. iOS、Android.

- 今週は引き続き、ジャーナル画面の新規ジャーナル入力フォームのバリデーション周りを実装中
- 勘定科目セレクトボックスに出す勘定科目の並び順を最近使った順で出したいため、そのためのモデルとして、AccountTypeRecentList をドメインに足した. ドメインにモデルを足すのは数ヶ月ぶりにもかかわらず、そこまで大きい問題なく、平常運転の範囲内で足せて、既存のモデルに大きい影響を与えることもなく、やはり DDD はスケールする開発手法という印象がより強くなった.

### kt3k/domaindoc

- AccountTypeRecentList の追加があまりにも上手く行ったため、domaindoc を少し補強して、もっとドメインモデル同士の関係性をうまく描けるようにしようというアイデアが生まれた.
- そのための1手として、Model 同士の被所有関係を表示したらどうかというアイデアが生まれ、Owned by (誰々に所有されている) 欄を表示する改修を始めた.
- コードを見ると domaindoc 自身が DDD によって作られて居なかったため、まず domaindoc 自体を DDD 化する作業にまず着手した。(もっというとテスト自体無かったので、それを作るところから着手)
- DDD 化は完了して、今は owned by を出すためにはどうモデルを拡張すれば良いかを考え中.

### kt3k/remarker

- livereload がしたいという要望が来てしまった https://github.com/kt3k/remarker/issues/9
  - 難しくはないはずだけど、かなり面倒な対応.
  - remarker は remarker -> berber -> bulbo -> vinyl-serve という順で依存して、サーバー機能を持って来ている。livereload を入れるためにはその依存系列全部に手を入れて、サーバーに connect-livereload を差し込めるようにする必要がある.
  - vinyl-serve の改修から始めたが、vinyl-serve にそもそも greenkeeper が入っておらず、入れようとすると vinyl と mime-type のメジャーアップデートで当たりがあって、そのままだとテストが通らなかったり、まずメンテナンス性を確保する作業からして難航。ただテストケース自体はかなりがっつり入っているため、実装を全部思い出さなければいけないという程でもなく、なんとかなりそうな雰囲気.

## 仕事

- こちらの記事を執筆 https://engineer.recruit-lifestyle.co.jp/techblog/2018-06-07-zenhub/
- 来期(7月-9月)の見積もりを出した.

## 相談

### webview in react-native

- react-native の webview の中に javascript を inject したいのだが、その方法はどうすれば良いかという相談があって面白かった.

## 山

### ナンガパルバット

- ナンガパルバットはパキスタンの 8000m峰. 裸の山という意味の名前. 標高は世界第9位. 登山史初期の遭難者数がとても多く Killer Mountain とも呼ばれる. 最近まで冬季登頂されて居ない数少ない山の一つだったが、2016年にシモーネモロによって冬季初登頂された.

### 神々の山嶺

- 少し読んだ. 登場人物のキャラクター設定が非常に渋い気がする. キラキラした人が誰も居ない小説.
