---
lang: ja
---
## OSS

### c3.js

- [#2389](https://github.com/c3js/c3/pull/2389) のリファクタの PR は筋が良さそうなのでレビューしないとと思いつつ見れていない
- [#1500](https://github.com/c3js/c3/pull/1500) は見ないといけない

### ry/deno

- deno2 が出来た. golang は捨てられて C++ によって core 部分がリライトされた. ロードマップによると, rust のバインディングが出来て priviledged 領域の実装は rust で進められる方針らしい. ビルドツールには gn が使われる.
- ドキュメントをちょっと直す [PR](https://github.com/ry/deno/pull/263) を出した.

## MyProject

### kt3k/moneybit-app

Moneybit は無料でオープンソースのモバイル会計アプリ. 複式簿記で入力出来て、貸借対照表 (バランスシート) を表示できて、確定申告にもそのまま使えるというアプリ. iOS、Android 対応(予定).

- 最近選んだ勘定科目が貸方/借方別に保存されるようになり、新規入力欄で最近選んだ順で勘定科目が表示されるようになった。
- 次はチェックボックス未選択のエラー表示, 入力済仕訳の編集モーダルあたりの実装

### kt3k/remarker

- livereload する機能が実装できた。 https://github.com/kt3k/remarker/issues/9
  - 当初の目論見通り、`gulp-livereload` と `connect-livereload` を使って割と簡単に実装できた。
  - ただし、任意の middleware を追加できる I/F を足せるようにするために、vinyl-serve, bulbo, berber などの依存モジュールを全部更新して行く必要があって、その作業が結構大変だった。

- Implemented livereload feature. https://github.com/kt3k/remarker/issues/9
  - Thanks for requesting the feature.
  - As I expected, I was able to implement it by using `gulp-livereload` and `connect-livereload`.
  - I updated `vinyl-serve`, `bulbo` and `berber` to enable them receiving custom connect middleware. That required a lot of greenkeeping works, including circle ci 2 upgrades.

### kt3k/domaindoc

- 個別モデルページで、「そのモデルを所有しているモデル」一覧を出せるようになった。今までは、「そのモデルが所有するモデル」しか出せていなかった。被所有が出せると、このモデルどこで使ってるんだっけ？という疑問がすぐに解決できるようになるため、結構意味があるアップデートになっている気がする。
- 上から派生して、誰にも所有されていないモデルに対して [Independent] というラベルを表示するようになった. [Independent] がついていれば、そのモデルが Aggregate Root のように、ある程度独立性を持ったモデルということがわかる (ただし必ずしも Aggregate Root になるとは限らない)。
- 将来的にはもっとドメインモデルの関係が成すグラフをもっと俯瞰的に眺められるような view を追加していきたい。
- あと、普通に DDD をやっているどこかしらのチームに使って欲しい. が、営業する先がわからない.

## 仕事

### インフラ

- grafana のプロビジョニングを調べている. anonymous login を許可する設定があることが分かった. ネットワークで社内限定アクセスは保証されているので, read だけなら anonymous を許容したい. dashboard の設定なども含めて全て ansible の yaml に詰め込めるのかどうかを現在調査中.
- フロントエンド会で久しぶりに redux-saga 談義になった. redux-saga なんてそもそも必要か? 的なことを会長が言っていて, 自分はそこまで redux-saga を押したいわけではないけど, 一番 star が付いて要る redux middleware の存在意義が無い的な話の流れになってしまうのは議論の方向性として偏りすぎて要ると思われるため, 自分の理解している範囲内で saga の良さを色々と defend した.

## 勉強会

### cndjp

- オラクル青山センターの #cndjp に行った. https://cnd.connpass.com/event/89854/
  - kubernetes 総復習回. 基本的な使い方もあんまり分かっていないので, 若干自分には advanced すぎた印象. [@sinpaout](https://github.com/sinpaout) さんと [@38fanjia](https://github.com/38fanjia) さんと一緒に行った.

## 山

### 本

- ラインホルトメスナーのナンガ・パルバット単独行という本を買った. まだ未読.

### 神々の山嶺

神々の山嶺は夢枕獏の小説

- 羽生が「鬼スラをやろう」と言い出したので、鬼スラは何か調べてみた. 谷川岳という山にある非常に登攀難易度の高いスラブ(一枚岩)をそう呼ぶらしい(鬼スラという名称自体はフィクションで、三スラというがそのモデルとなった実際のスラブの名称). 羽生自身が森田勝という登山家がモデルになっていて、森田の三スラ冬季登攀というエピソード自体がこの部分のモデルになっているらしい.

## 生活

### ブラウザ

- vivaldi から chrome に戻す
  - 間違って command + shift + W でプログラムを終了させたら開いていたタブが全て失われた. command + shift + T で最後に閉じたタブを復活させようとしても、最後に1個づつ閉じてたやつしか復活しない (一気に消えたやつが丸ごと復帰不可能). これは不便すぎるので vivaldi 使用終了. chrome に戻す.
