---
lang: ja
---
## OSS

### c3.js

- [#2389](https://github.com/c3js/c3/pull/2389) のリファクタをレビュー & マージした
- [#2199](https://github.com/c3js/c3/issues/2199) gh-pages に https 機能きたよと教えてもらって、ターナーさんに連絡して DNS の設定を調整してもらって、 https://c3js.org/ で見れるようになった. 地味に嬉しい.

### ry/deno

- deno2 が src にリネームされ、golang 実装は削除された. ヒープスナップショットというのがすでに効いているらしく, 起動だけなら結構早い状態になった. (golang 実装の時は1秒以上かかっていたのが、今は100ms 程度で node.js とほぼ遜色ないレベル)

## MyProject

### kt3k/moneybit-app

Moneybit は無料でオープンソースのモバイル会計アプリ. 複式簿記で入力出来て、貸借対照表 (バランスシート) を表示できて、確定申告にもそのまま使えるというアプリ. iOS、Android 対応(予定).

- 新規勘定の入力が完成して、既存の勘定の編集に着手して、そちらもほぼ完成. あと、削除ボタンの削除確認がまだ confirm 関数でやってるので、そこだけさらにモーダルを出す仕様に変えたら仕訳帳画面の入力系はほぼ完成に近い.
- 次は仕分けの一覧表示を月ごとに表示したりとかその周辺をやる.
- 毎度の感想として、DDD がすごいワークしていると感じた. ものすごく久しぶりにドメイン層を触るのに、昨日まで作業していたのと変わらないくらい自然に拡張が出来る. ドメインという層が、完璧にそれ以上の層と分かれていて, そのスパッと別れた境界線上でテストカバレッジがほぼ100% でテストされきっている (追加分にもさらにテストを足した) ので, このレイヤーでの技術的負債がほとんど溜まらない状態で進捗できていると感じる. ドメインとして切った周辺での停滞がほとんどない.

### capsidjs/capsid

- [0.24.0](https://github.com/capsidjs/capsid/releases/tag/v0.24.0) リリース
  - on.click.at というデコレータが出来た.

従来下のような書き方が必要だったのが、

```javascript
class MyComponent {
  @on('click', { at: '.edit-button' })
  onClickAtEditButton () {
    // handling of edit button click
  }
}
```

下のように書けるようになった.

```js
class MyComponent {
  @on.click.at('.edit-button')
  onClickAtEditButton () {
    // handling of edit button click
  }
}
```

ちょっとした工夫だけど、そこそこ読みやすさが上がる気がしている.

- [0.25.0](https://github.com/capsidjs/capsid/releases/tag/v0.25.0)
  - 上の発展形で、on.useHandler('foo') とやると、on.foo デコレータと on.foo.at デコレータが出来るという機能を追加.
  - 例えば、on.useHandler('change') とやると、` @on.change.at('.title-input')` というデコレータが使えるようになる.

### kt3k/aquapress

- aquapress という名前だけ考えた. berber の次期バージョン. やりたいこととしては js-liftoff を berber から除却して, さらにアプリケーション側のテストがしやすいなんらかの形を与えること. 今の berber アプリケーションは、 cli そのものとしてテストするしかなくて, 若干テストがしづらい.

## 仕事

### インフラ

- grafana プロビジョニングを相変わらず調べている. AWS のクレデンシャルをどう入れるんだろう? みたいなところで若干停滞.

### 社内ツール

- 割と上手くいっていた社内ツールで性能問題が出てきた. バックエンド側でまだまだ出来ることがあるのに, とりあえず UI を変えて負荷軽減してみようという意見がなぜか支配的になってしまい, 困った. まずバックエンドで出来ることがあるでしょ, という意見を提言. UI もスケーリングも分かっていない人がステークホルダーやってることに問題がある.

## 山

### 八甲田山

- 八甲田山の雪中行軍遭難事件 (1902年) という事件があったことを知った. とにかく恐ろしい内容. 色々資料を読んでいきたい.

### 本

- ラインホルト・メスナーのナンガ・パルバート単独行読書中.
  - とりあえず、C1 まで行ったけど撤退した時の話まで読んだ.
  - 心理的描写にプログラミングと通じるものを感じる.
