---
lang: ja
---
## OSS

### ry/deno

- リファクタ
  - [pull #309](https://github.com/ry/deno/pull/309)
  - [pull #314](https://github.com/ry/deno/pull/314)
  - [pull #322](https://github.com/ry/deno/pull/322)
  - [pull #328](https://github.com/ry/deno/pull/328)
  - [pull #335](https://github.com/ry/deno/pull/335)
  - [pull #338](https://github.com/ry/deno/pull/338)
  - deno の 3rd パーティの依存を全て, `//third_party` というディレクトリに固めて, アップデートを自動スクリプトで行うようにするという計画があって, その作業をやる人がいなさそうだったので, 自分が @ry の issue 上の指示に従って各種対応をした.
- [pull #330](https://github.com/ry/deno/pull/330)
  - protocol buffers を flatbuffers で置き換える PR. Cap'n Proto が良いのではという issue ([#269](https://github.com/ry/deno/issue/269)) も出ていたが, Cap'n Proto とほぼ似たようなパフォーマンスがでるシリアライズプロトコルで, google 製の flatbuffers の方が適切という判断がされたぽい. ただ, この決定に関してはまだ非常に [tentative](https://gitter.im/denolife/Lobby?at=5b3ed9ee3572e970c17a181d) ということで, 完全に決まったわけではない.

### c3js/c3

- [pull #2401](https://github.com/c3js/c3/pull/2401)
  - アークチャートの背景がなくなっているというバグの修正. 多分 D3 v4 対応時に入ったリグレッションと思われる. selection 周りの API が非破壊的になったせいで副作用を期待して動いていた部分が動かなくなったと思われる. [v0.6.3](https://github.com/c3js/c3/releases/tag/v0.6.3) としてリリース.

### Leko/hothouse

- Leko さんが [hothouse](https://github.com/Leko/hothouse) という OSS を作られた. 自家製 greenkeeper のようなものぽい. 使ってみたい.

### gn

- https://github.com/o-lim/generate-ninja
  - deno が使っているビルドシステム. 独自 DSL (結構綺麗) で語彙がかなり多い. ninja ファイルが出力される.
  - [このスライド](https://docs.google.com/presentation/d/15Zwb53JcncHfEwHpnG_PoIbbzQ3GQi_cpujYwbpcbZo/edit)がわかりやすい.

### ninja

- https://github.com/ninja-build/ninja
  - gn で設定をビルドした結果は ninja として出力される. ninja は手でかく想定はされていない, とにかく速さに特化されたビルドシステム. [公式ドキュメント](https://ninja-build.org/manual.html)が非常に丁寧.

## 仕事

### アンチパターン

- モーダルが必要なので, まず modal.js を作る. モーダルの機能が増えたので modal.js に機能をたす. ある種のモーダルだけ特殊な動きをする必要があるので, その機能を表すフラグを追加して, if 文で分岐して機能をたす. 同様のフラグ追加を無数に繰り返す. というプロセスを経た結果, 誰にも修正することが不可能な modal.js が生まれるというパターンが複数のプロジェクトで観測された (ように見えた). おそらく jquery で複雑なモーダルが出る UI を作っているほとんどのプロジェクトで起きている現象ではないかと思われる. 簡単にこの種のカタストロフを避ける方法があって, それはちょっと違う動きをするモーダルを全て別コンポーネントとみて, 異なるファイルをそれぞれ用意して, 別のものとして管理する方法で解決できる. 全然違うものを, 似たようなものの亜種と無理やり思い込もうとするところに失敗の原因がある.
- 非常に似た失敗で API リクエストの前処理/後処理/リクエスト自体をまとめるというアンチパターンがある. 似たようなコードのパターンが繰り返し出てくるので, それをまとめれば良いという判断をするのだろうけど, リクエストの仕方がちょっと違うパターンとか, 前処理/後処理がちょっと違うパターンなどが大量に発生して大体破綻する. 共通メソッド化するのであれば, リクエスト出す部分だけ (結果のハンドリングは含まない)  とか、ある種の前処理だけとか後処理だけで共通化して, それらを組み合わせて使うという考え方をするべき. 前処理 + リエクスト + 後処理で共通化すると必ずフラグだらけになって破綻する.

## イベント

### 数理ナイトスペシャル

- https://event.nnear.jp/events/468599
  - 各種の数の定義 (公理) とか, 集合論を使って各種の数を構成できるという話. 自分が学生の頃読んだ本の[「数」(足立恒雄)](https://www.amazon.co.jp/dp/425411088X)をそのままなぞるような内容だったため, 本質的に新情報は無かったけれど, 久しくペアノ公理に言及しているような人を見ていなかったので, 久しぶりに数学的な世界を覗けて, 非常に良い気分転換になった.
