---
lang: ja
---
## OSS

### ry/deno

- Error on Warnings
  - [pull #379](https://github.com/ry/deno/pull/379)
  - deno は今まで compile 時の warning を error 扱いはして居なかったけど, それを error にしたいという [issue](https://github.com/ry/deno/issues/374) が立って居たので, それに挑戦してみたという PR. mac では問題になる warning がそもそも3つしか出ていなかったので, それは簡単にクリアできたものの, @piscisaureus さんのレビューで linux と windows だと数え切れない warnings が出ていることが分かり, warning を error にするフラグを true にすることは諦めて, mac の warning のみ出ない状態にして merge することにした.

- [pull #371](https://github.com/ry/deno/pull/371)
  - deno が rust で書き換えられてから初めて hello world が動くようになった PR. とりあえず @ry の machine では hello world は 300ms で動いているらしい. 自分のマシンだと 500ms だった. ちなみに node だと自分のマシンで 100ms だった.

- [pull #383](https://github.com/ry/deno/pull/383)
  - cargo を使って rust の dependency を取ってくるという PR (今までは gclient を使っていた). `cargo install` ではなく `cargo fetch` というコマンドでソースコードを落として来ている.

- deno build args
  - `treat_warnings_as_errors` boolean
    - これを true にすると c のコンパイル時に出て来た warnings がコンパイルエラーになって, コンパイルが失敗するようになる. mac は true にしてもビルド可能だが, 現状 linux, windows ではこれを true にするとビルドが通らない. 将来的には全ての platform で true にしたいが, 現状 linux, windows で warnings 無しでビルドする方法が誰にも分からない.
  - `use_allocator` string
    - これを指定すると, 特殊な memory allocator を利用することが出来る. "none" を指定すると default の allocator が使われる. linux で "none" で無い値を指定するとビルドツールの flatc が異常終了してビルドが通らなくなる. linux 上では "none" を指定するしかないと思われる.
  - `use_custom_libcxx` boolean
    - これが true だと libcxx をカスタムビルドするようになり, linux 上だと途方も無い量の unused-commnad-line-argument という warning が上がるようになる. とりあえず現状 travis 上では false に設定されている. linux でビルドする場合は false にするのが正と思われる.
  - `is_clang` boolean
    - c コンパイラとして LLVM の clang を使うかどうかという arg. デフォルトだと true になっている. true のままビルドすると linux 上では unreachable-code の warning が出る. false にすると linux 上では g++ が使われるようになり, unreachable-code は封じることが出来るようになるが, deno のソースコード上で unused-variable や unsed-result が出るようになる.

### c3js/c3

- [pull #2417](https://github.com/c3js/c3/pull/2417)
  - gauge chart のバックグラウンド (灰色の弧状の部分) がチャートのリサイズ時に追随してリサイズされないという問題が指摘されていて, それに対する対応. 途中まで @rahul-winner さんが修正案を作ってくれていたけど, その修正だと gauge 上のマウスイベントがなぜか効かなくなっていて, そこも含めた全体的な対応.

## MyProject

### kt3k/moneybit-app

moneybit は仕訳帳を入力したら貸借対照表 / 月ごとの勘定の内訳等が出力できるモバイルアプリ. (青色確定申告に使えます.)

- 仕訳帳の内容を月毎にグルーピングして表示する部分が完成. 月別のグルーピングを作るアルゴリズムが O(n) になっているので後で O(log(n)) に要修正.

<img src="../img/2018/moneybit-2018-07-21.png" width="200" />

## ツール

### ZenHub

- パートナー / 知り合いで ZenHub に興味ありという人が急に3人も現れて, ZenHub の案内を色々やっていた. 久しぶりに Aaron さんに連絡を取って, ZenHub Enterprise で seat 数を超えてユーザーを増やしたい場合にどうすれば良いかなどを聞いた.

## イベント

### スパイス食堂 umitoyama

https://www.facebook.com/umitoyamacurry/

- 水曜日しかやっていない本格カレー屋さんのスパイス食堂 umitoyama に @sinpaout さん, @38fanjia さん, @yuichirokage さん, @jb-matsunaga さん, 馬場さん, あさみさんと一緒に行った. レモンの漬物が非常に珍しくて美味.
