---
lang: ja
---
## OSS

### ry/deno

- コントリビュート
  - [pull #516](https://github.com/denoland/deno/pull/516)
  - [pull #517](https://github.com/denoland/deno/pull/517)
  - [pull #531](https://github.com/denoland/deno/pull/531)
  - [pull #532](https://github.com/denoland/deno/pull/532)
  - 割と簡単な issue を4つ消化. あまり摩擦なく, 全てスッとマージ. 自分があまりにも簡単な issue を潰しすぎたせいか, 明らかに難易度が低い issue に対しては [Good First Issue](https://github.com/denoland/deno/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) というラベルがつけられるようになってしまった.

- 全体的には割と落ち着いた進捗の週という印象. コントリビュートしている人の数自体は多いけど, マージされる PR が少なくて, それぞれの人がそれぞれのペースで WIP で作業している時間が長いという感じ. ただ, 結構時間がかかった PR でも, そろそろ出来たかなという頃合いで, ヌッと @ry が現れてきちんと全てレビューしてくれるので, そういうみんなが自分のペースで各々作業するという雰囲気が出来ているという印象. 2ヶ月ほど deno をウォッチしていて @ry という人は各作業者をすごく褒めるし, コントリビュートした人には必ず感謝の言葉をかけているし, みんなで作る OSS をうまく盛り上げる雰囲気作りがすごくうまいという印象を持った. どれとは言わないけれど作者が自分の作品意識を持ちすぎている OSS (`g*lp` とか) だと, 作者の持っているイメージとズレたベクトルのコントリビュートをしてくるコミッターが割と頭ごなしに否定されているケースはよく見かけて, それとは正反対のいつでも何をやっても良い自由な空間の雰囲気がよく出来ていて, 実際自分もコントリビュートしていて非常に心地よいと感じる.

## MyProject

### kt3k/moneybit-app

moneybit は仕訳帳を入力したら貸借対照表 / 月ごとの勘定の内訳等が出力できるモバイルアプリ. (青色確定申告に使えます.)

- 特定日付までの仕分けに対する貸借対照表(バランスシート)が出力できるようなった(青色申告決算書には会計開始時点と会計終了時点のバランスシートの記入が必要). バランスシートの日付を変える UI をどうするかを現在検討中.
- 特定勘定科目の月別サマリーと総勘定元帳は, 総勘定元帳をベースとして表示しつつ, 月毎の小計を月毎のエリアの末尾に追加していけば, 両方の情報を違和感なく出せるということに気づいて, そのデザインを sketch で起こす部分まで作業. 来週以降実装予定.

### capsidjs/capsid

capsid.js は DOM プログラミング用軽量フレームワーク. DOM 要素に振る舞いを足してカスタムなコンポーネントが実装できるライブラリ.

- 久しぶりに README を眺めていたら codepen でデコレータがビルドできなくなっていてデコレータを使ったサンプル (ミラリングとカウンター) が動かなくなっていた. ビルド言語を typescript にしてもターゲットが es3 になっていて accessor デコレータの3引数名が入って来ず, `@wired` デコレータが機能しない点が致命的だったため codepen を使い続けることを断念. jsfiddle でも全く同じ現象が起きていて利用が不可能だった. ビルドを独自で組める plunker と codesandbox を検討してとりあえず動く状態が作れた codesandbox に移行した. [例](https://codesandbox.io/s/yky5y55j9v).

## 映画

### オールユーニードイズキル (Edge of Tomorrow)

- アマゾンプライムで鑑賞. 時間を操る能力を持った宇宙人に侵略されつつある地球で, 宇宙人の1体から無限にとある一日を繰り返すという能力を奪った主人公が, 無限に繰り返す1日の中で試行錯誤を繰り返しながら宇宙人を倒す方法を模索するという SF 映画. 時間を操るという能力は本来は全くリアリティがないはずなのに, なぜか非常に魅力を感じてしまう点が不思議だと思った.

### スターリンの葬送狂騒曲 (The Death of Stalin)

- スターリンが死ぬ直前から, スターリンの死後ベリアが失脚, 処刑されるまでを描いたコメディ映画. スターリン施政下の不毛な社会の様子を面白可笑しく描いていて, 非常に楽しめた. 極端に失敗した社会システムを笑いの対象として表現する点について[未来世紀ブラジル](https://ja.wikipedia.org/wiki/%E6%9C%AA%E6%9D%A5%E4%B8%96%E7%B4%80%E3%83%96%E3%83%A9%E3%82%B8%E3%83%AB)と通じる部分があると思った. 原作はフランスの[バンドデジネ](https://fr.wikipedia.org/wiki/La_Mort_de_Staline_%28bande_dessin%C3%A9e%29)らしい.
