---
lang: ja
---
## OSS

### ry/deno

- 0.1.3 リリース. https import がある程度出来るようになった. ただファイル拡張子が無いとまだ js として動かせないので, 例えば jspm.io とかが動かない. 拡張子無しも実行してほしいという [issue](https://github.com/denoland/deno/issues/702) を立てたら, とりあえず賛同してもらえたので 0.1.4 あたりでは jspm.io が動くかもしれない. jspm.io からの import が動くようになると, 任意の npm モジュールがかなりの確率で動くようになるため, node の API に依存していない npm パッケージはかなり使えるようになる可能性が高く, 例えば react のサーバーサイドレンダリングとか, babel とか, chalk とかが動くようになる可能性が高そうと思われる.

## MyProject

### kt3k/buttons

https://github.com/kt3k/buttons

- buttons というプロジェクトを始めてみた. web サービスで, いくつかのボタンを自分のページに設置して, それぞれのボタンに1日でやるべきことをそれぞれ設定して, 出来たらボタンを押す, 出来なかったら押さないということを毎日繰り返して, それが github の草カレンダーのように表示されるというサービス. 自分の場合は, c3 ボタン(c3 に1コントリビュートしたら押す), MyProjectボタン (MyProject に1コントリビュートしたら押す), denoボタン(deno に1コントリビュートしたら押す), 数学ボタン (数学的命題を1個証明したら押す) の4ボタンを設定する予定.
- express / mongoDB を使うこと, DDD を採用して domain 層を切ることなどは前回作ったサービスの pomodoro-meter と同じ. 前回との差分は認証に Auth0 を使うこと, mongoDB のセットアップに docker-compose を使うこと, サーバーサイドレンダリングをやめて JAMstack にすることなど. Auth0 は覚えることが非常に多いものの, それによって得られることの方が多いため, 勉強するに値するサービスだと思われる. node.js 系の jwt 周辺ライブラリはほとんどが Auth0 によってメンテナンスされていて非常に信頼度が高い. docker-compose は docker for mac が安定して来たおかげでなんの問題もなく使えて, 単純に便利. brew での install や, 設定ファイルの調整などが必要ないため, 昔良く使った LAMP 環境並みの手軽さで DB 環境が手に入って非常に便利.

### greenkeeper babelify 10

- greenkeeper で babelify 10 の update が大量に飛んで来て, 大量に babel 7 移行をやった. ちょっと前まではかなり plugin で babel 7 非対応のものがポツポツあって, 相当難易度の高い作業だったものの, 今やほとんどが babel 7 対応済みのため, 大体がバージョンを最新に上げるか, @babel scope の package に置き換えることで対応が可能だった.
  - https://github.com/kt3k/gulp-browserify-example/pull/12
  - https://github.com/kt3kstudio/pairs/pull/130
  - https://github.com/kt3k/t10/pull/25
  - https://github.com/c3js/c3/pull/2471
  - https://github.com/capsidjs/todomvc/pull/60

## イベント

### 社内 Splatoon 2 大会

- 社内の Splatoon 2 大会に出てみた. 4人1チームで5戦して先に3勝した方が勝ちというルールでトーナメント方式. 5戦のルールはナワバリ -> ホコ -> エリア -> ヤグラ -> アサリという順番で, ステージはランダム. ナワバリ -> ホコ と連勝したもののその後 エリア -> ヤグラ -> アサリと3連敗してしまい1回戦敗退してしまった. ヤグラとアサリでは割と裏周りを決められて, 一か八かの駆け引きをされてうまいことやられてしまったという印象. 知り合い集まって Splatoon をやるのが初めてだったので楽しかった.
