---
lang: ja
---
## OSS

### denoland/deno

deno は @ry が始めた新しい V8 runtime.

- コントリビュート
  - https://github.com/denoland/deno/pull/889
  - https://github.com/denoland/deno/pull/932
  - https://github.com/denoland/deno/pull/933
  - ベンチマークページにいろんな人が手を入れた結果, テストなどが割れ窓状態になっていたのを修正して再度テストが通るように直した(#889). 直す過程で, 1個ベンチマーク追加するのに3ファイル直さなないといけないのが面倒くさいという意見が @ry から出て来たので, ベンチマーク対象をある程度自動検知するようにベンチマークビューワ側を少し作り変えた(#932).

- https://github.com/denoland/deno/issues/888
  - 上の PR を出すにあたって, master でテストが落ちているのに CI がなぜか通っているという事象を確認して, 詳しく見ていったらテストが半ばで終了しているにも関わらずエラー落ちしていないという事象が起きていたことが分かり立てた issue. rust のバグとか, debug! というマクロ関数を特定の関数内で呼ぶと直るとか, かなり雲行きの怪しい報告が色々出始めていてかなり不穏. とりあえず, master の CI ではちゃんとテストが流れるようになったので閉じた.

### c3js/c3

c3 は d3 ベースのチャートライブラリ

- https://github.com/c3js/c3/pull/2495
  - c3 でアクティブでないタブ上でページが開かれたときにチャートが出ないという不具合があってその対応.

## MyProject

### kt3k/buttons

https://github.com/kt3k/buttons

buttons は毎日やるタスクのボタンを作って, その記録をカレンダー表示する web サービス.

- 今週もそこそこ進捗. ユーザー一覧ページが出来て, ユーザープロフィールページも出来た. ユーザプロフィールページでまだカレンダーヒートマップが出ないので, 来週はその辺をやりたい.
- twitter と相性が良さそうなので, twitter 認証を足したい.

> <img src="../img/2018/10-01-buttons.png" width="240">

## 数学

### To Mock a Mockingbird

https://github.com/kt3k/math-exercises-notes/tree/master/to-mock-a-mockingbird

- シカゴ大学の圏論のテキストをちょっとお休みして, 今週は Smullyan 先生の To Mock a Mockingbird を再び (約10年ぐらいぶりに) 読み始めた. 最初の不動点 combinator みたいな鳥を作る問題と, egocentric な鳥を見つける問題を解いた. 不動点みたいな鳥を作る問題は初見時は解けなかった (と, 本自体にメモが残っていた) けど, 今回は Y combinator の実装とかをチラ見しながらなんとか自力で答えまで出せた. この問題は割と Smullyan 先生自身も combinatory logic の教科書を色々読んだ上で逆算して作っていると思うので, 全くの初見で lambda calculus の予備知識なしで, いきなり本当にこの本を読んで解ける人がいるのかどうかというのは個人的にはかなり疑問に思っている.

## Events

### meguro.es

https://meguroes.connpass.com/event/98856/

- 椅子が良いアルコタワー会場で開催. 割と JS の話が多かった. 前回は JS の話をしてるスピーカーは20%ぐらいしかいなくて, merugo.es と言えば JS の話がほとんどない JS の勉強会という意味で期待していただけに, 逆に期待はずれだった. @ovrmrw さんの Big Query 話がとても勉強になった.

## Life

### Bose SoundSport Free

https://www.amazon.co.jp/dp/B0748JM8M5

- @rt33 さんが良いと言っていて気になっていた SoundSport Free というイヤホンを購入. レビューでも音が良いと言われていて, 確かに音が良いのと, あと, 予想外に良かったのが, 充電用のドックが非常に良くて, 充電器に入れる動作自体に気持ち良さがあって良いと思った. あと, ペアリングされていない状態だと, イヤホン自体が自分の充電状態を自分で喋るのが未来感があって素晴らしいと思った.

### 元グリー飲み会

- 元GREE SNS チームの4人 (@ymzkmct, @kamatari, https://twitter.com/kazukomati, @kt3k) で飲み会. みんな元気そう. @kamatari さんはスタートアップ業界のいろんな情報が勝手に入ってくるチャンネルに入っているらしく, 裏情報量がすごかった. 某社で経費横領で辞めさせられた役員の解雇理由説明のテキストとか持っていて Michael Arrington かと思った. @ymzkmct さんはついこないだ freee を退職されて次は Kyash へ行くとのことだった. freee 時代に @joe-re さんと同僚で, @joe-re さんを激賞していた. @yonekawa さんはどうですかと聞いたら, あの人は何してるか全然わからない, と苦虫を噛み潰したような顔で言っていた.
