---
lang: ja
---
## OSS

### denoland/deno

deno は新しい V8 runtime.

- コントリビュート
  - https://github.com/denoland/deno/pull/1002
    - ベンチマークページで効率の悪い API リクエスト (並列で良いところを直列でとっている) をしているところがあったためその効率化の対応と, インターネットアクセスするテストケースがあったため, ローカルサーバ向きにテストするように修正.
  - https://github.com/denoland/deno/pull/1037
    - ベンチマークページにデザインが入ったりした関係で全データを表示するのが厳しくなったため, トップページでは 20個だけのデータを表示するという対応. Easy peasy.

- https://github.com/denoland/deno/pull/996
  - node と deno の res/sec を benchmark で比べるというアンビシャスな PR. とりあえず今のところ, deno のサーバーとしての throughput は node に比べて大して変わらない. PR で cc されている @alexhultman という人の過去の issue を読むと, JS サーバーの hello world の res/sec の理論値は 1M らしい. node の実績値は 18K なので, 上の概算が正しいとすれば, 理論上 node の 55倍の性能までは出せるという話になる. @alexhultman の話によると node で遅いのは http request を受け付ける部分ではなく (むしろその辺の native 実装はかなり速いらしい), それを JS でラップしたところで全てが台無しになっているらしい. つまり native から JS への受け渡しが res/sec のボトルネックになっている. deno でその辺の wrapper 処理をうまく纏められれば, サーバー性能として node を圧倒出来る可能性があるのかもしれない.

### c3js/c3

- https://github.com/c3js/c3/pull/2476
  - 以前一度見て意味が分からなかった issue. bar チャートではなく, どうも line チャートについて以前の挙動を復活しているらしいことが分かって来た. で, ということはマージしてもいい奴かなと思い始めたところで, ツールチップがデータポイントごとに変わる example で壊れているという指摘が入って, やっぱりまだマージ出来ないことが分かった.

## TC39

### decorator

- https://github.com/tc39/proposal-decorators/issues/69
  - ES の decorator proposal で, 最後に残った 2つの blocker のうちの1つの issue で圧倒的に燃えている issue. 今週も再燃して通知がたくさん来た. decorator を付けた class を export する時に `export @deco class {}` か `@deco export class {}` かという話. 正直使う側としてはどちらでも出来ることが全く変わらないので, どちらになってもただ従うだけでどっちでも良い話なのだけど, とにかく両方の派閥がお互いに譲らないので, 全く進捗がみられず, 無限に議論が続いている感がある. champion は一時 `export @deco class {}` 側に傾いていたような気配があった (というか決まりかけていた時もあったように見えた) が, `@deco export class {}` 派が絶対に譲らないという姿勢で, `@deco export` を主張し続けるので, 終わりが見えない状態. とりあえず今回の proposal では判断を保留するために export と `@deco` の併用を禁止する, みたいな妙案らしきものも出たけど, やっぱり絶対に `@deco export` が書けないのはおかしいという強硬派がいるため進捗せず.

## MyProject

### kt3k/buttons

https://buttons.kt3k.org/

🌱buttons は毎日やるタスクのボタンを作って, その記録をカレンダーヒートマップ表示する web サービス.

- だいたい欲しい機能が揃ったので, 一旦大きい機能の開発は終了. 使った技術をまとめた記事を書き中. かなり長くなって来ている. これが終わったら一旦 capsid の新 decorator 対応の様子を見てから moneybit-app の作業に戻りたい.

## 数学

### To Mock a Mockingbird

https://github.com/kt3k/math-exercises-notes/tree/master/to-mock-a-mockingbird

- ものまねどり3問進捗. 以前解けなかった Agreeable bird がいれば任意の鳥に好きな鳥がいるという問題は自力で解けたけど, なぜかその次の合成鳥が Agreeable な場合に合成の後ろの鳥が Agreeable になるという命題の方が, 初読時は解けて今回は解けなかった😭 答えを見てみたら, 単なるパズル的な問題で, なぜ解けなかったのかが逆に分からなかった.

## 物理

### 東大柏 IPMU 志望者向け資料

https://member.ipmu.jp/yuji.tachikawa/misc/for-undergrads.html

- 偶然上の文章を見つけて読んだら面白かった. 東大柏 IPMU という大学院に入りたい人向けの文章で, 物理的な用語ではなくて, 通常の日本語で書かれていて, どういう心構えで上の院に進むべきかということが書かれていて, 最新の理論物理研究界隈の雰囲気のようなものが伝わって来て非常に面白かった. 印象に残ったのが場の量子論が出来ることと数学が出来ることは全く別のことだから, まずは数学者になりたいのか理論物理学者になりたいのかをはっきり決める必要があるというアドバイスが面白いと思った.

## 生活

### 飲み会

- @ampcpmgp 送別会.
