---
lang: en
---
## OSS

### denoland/deno

deno is a new TypeScript / JavaScript runtime.

- Contributions.
  - https://github.com/denoland/deno/pull/1108
  - I tried to solve `Forgot formatting` problem. We have husky and lint-staged in node ecosystem, but it was a little tricky to do it in deno development. I added `pre-commit` hook from `tools/setup.py` and it formats the code at pre-commit timing. But after @piscisaureus' comment I realized it doesn't support partially staged diffs 😵 I'm still thinking about the solution. `git stash -k` and `git stash pop` may solve typical cases, but it would cause problems in some edge cases (for example, when `stash pop` and tools/format.py conflict).

### c3js/c3

- Still thinking about https://github.com/c3js/c3/pull/2476
  - This is good change, but causes problems to ungrouped tooltips and scatter charts. Probably we need to change the function to find the nearest point according to the given options. I haven't understand the entire call stack for displaying the tooltip. I need to read around this process next week.

## MyProject

### kt3k/buttons

https://github.com/kt3k/buttons

`buttons` is a web service for recording the *daily tasks*. The users create thier own *buttons* for their daily tasks and push them everyday to record when the tasks are done.

- I published [the qiita article](https://qiita.com/kt3k/items/10df41c74a752a4c6c9c) and it got a little popular in qiita. More than 30 users have registered to 🌱buttons and a few people appearently keep using it 😁
- Some users took an unexpected user ids, like ルイ, TrueOgre, or Yudedako. I first wanted to allow at least both capital alphabets and lower case alphabets. But it seems difficult and inefficient to make case-insensitive queries to mongodb. So I changed to disallow capital alphabets entirely for user ids, and renamed their ids directly in mlab console.
- Another unexpected event happened. I used `name` property of `id_token` from auth0 for the user's name, but in some cases, the name property contains email address of the user. It upset me because some users' email addresses are displayed big in the user profile page. I added edit box of display name of the user in settings page after a while.
- In the in-house slack channel @yuzutas0 asked me to write a section in his book. The book is about personal web services created by a single person. I felt that it fits exactly to 🌱buttons and I promised I'm going to write a section for the book. I actually wanted to write in more detail about how I created 🌱buttons in qiita article (for example, with sample code), but I stopped doing it because such detailed description doesn't seem fitting to qiita. So now I have the good platform for elaborating my web service.

## Math

### Category theory

Reading the category theory textbook of The University of Chicago. https://github.com/kt3k/math-exercises-notes/tree/master/categories

- Read 1.5. Prooved Op(X) (category of open sets of topological space X) is a category. I didn't know this category. The textbook says this is important in topology and geometry. The proof itself was trivial.

## Life

### Fressets

- Visited Fressets, Inc. in their office. The office is in The University of Tokyo, and the building seems very nice. Fressets provides infrastructure for cryptocurrency markets to financial companies, and they are looking for engineers to enhance their service and software.

### A mobile app

- Helped integrating Firebase SDK to my friend's iOS app. After many googlings, I managed to integrate the SDK to the app. The app is made with react-native and I used react-native-firebase and CocoaPods. I used to create Cordova-like framework called [straw](https://github.com/strawjs) before, but things have been changed very much since then. I need to catch up many things about XCode to do this task.
