---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new TypeScript and JavaScript runtime.

- https://github.com/denoland/deno/pull/1452
  - Contributed `console.groupCollapsed`. We didn't implement this to only follow the whatwg spec, but abused it as a way of printing without a new line.

- This week deno was so popular in Japan 🇯🇵, and Japanese contributors and users of deno quickly started forming the community. We're going to hold the second meetup on deno on 19th of January!

### kt3k/moneybit-app

💰 Moneybit is an open source mobile accounting app.

- Subledger-modal has been completed. The most difficult part was the layout of each element on the modal dialog. I googled the images of General Ledger, but most of them are fit to PC's screen, and not for mobile phone. I needed to 'invent' the placement of the components inside it.
- Next week, I'm going to write the unit tests of subledger-modal, which is probably the most complicated component in the app, and so it's worth to write the test for it spending the cost of time.

## Work

### leaflet

- This week I worked for a startup company in Fukuoka. The task was to create a page in nuxt.js which contains a big map, map modals etc. I needed to place a leaflet map inside a modal which appears on another map. In the map modal, I needed to place further modal which contains another map 😂 So I created the sandwitch of maps 🗺🗺🗺 with vue.js! It was a good practice of programming maps.

## 2019

### New year resolution

- This year I want to think much about the properties of unknown things. I'm not talking about specific unknown things, but talking about unknown things in general for a person. I'm going to write in more details about this topic somewhere later.

<!--
- ## 2019

- ### New year resolution

- I know how to test software. However I often fail to write good tests. Why? That happens often when I don't understand well what I'm testing. Software testing is done against the interface of software. So if I don't understand the interface well, then the test of that interface inevitably goes vague, misleading or even wrong. So what's important is that we need to design and understand well the interface of what we are creating. TDD teaches us how to write and improve tests of the existing interfaces, but it doesn't teach us what's a good interface or how to design a good interface. So that's my frustration about TDD.
- On the other hand, DDD teaches us partially about "good interfaces". DDD shows us "building blocks" of domain, which serves as the examples of good interfaces of software for certain purposes. For example, Repository is a pattern for saving and retrieving the models to/from somewhere. I've never been confused when writing the test cases of a repository because it's purpose is very clear (saving and retrieving) and therefore what I should test is clear as well. The same applies to Factory pattern. However Service pattern is a little different. DDD doesn't limit what's possible in Service. So Service is virtually a place where anything doesn't apply to more specific pattern goes to. This is the limit of what DDD teaches us about good interfaces.
- Probably DCI teaches us a step further about services. It shows us a technique to implement very complex context, which involves many actors and their roles. But it still fails to describe well everything about interfaces because I don't figure out how to test my subledger-modal (see above) by following the principle of DCI. The subledger-modal is the mixuture of lots of domain models and dom objects. I don't know how to arrange them in a good way by following DCI principles.
- What I want to say here is that software interfaces are very important for writing good tests, but we don't know well how to design it, and that's a very big and very important problem.
- Another story is about unknown things. Unknown things are very important in our lives. What is unknown and what is known are very relative to person. Someone know a thing, and someone doesn't know it. That thing is unknown for the second person, but isn't unknown for the 1st person. What I want to talking about is not a specific unknown thing, but unknown thing in general for a person. We meet many many unknown things in our lives. Some of them are unknown just because they've never appear on our mind. But interesting thing is unknown things which are present to someone in some form, but still are unknown to them. That happens often when that thing is too difficult to understand for someone. If something doesn't make sense to someone's mind, then it keep being unknown to them even after being present to them. Such unknown things cause our mind fear, anger, or anxiety. We're tempted to reject such things, but sometime they cannot be rejected because the authority or any others say they exist. We are surrounded by such unknown things everyday, but also keep forgetting such things and our minds keep peace.
- Learning is the process of making unknown things known to ourselves. I think this is very interesting. How can an unknown thing become known to our mind? Sometimes it's just because of being informed to us. This is what is done by newspapers. Newspapers inform us something's happened, and we know it. But if someone learns, for example, linear algebra, what happens in their mind is probably more complex.
- This year I want to think much about this, especially focused on the properties of unknown things in general. I want to think about how they affect our mind, how they can be understood, and/or why they can be understood. Unknown things are source of fear, anger, and anxiety, but also the source of extending the knowledge of us, and therefore the source of power.
- I've worked as a frontend engineer for years now. Typically in this job, new technologies appear constantly and we always need to filter them and learn them. That requires a lot of learning. I love such learning and that's definitely an advantage in this job. However not necessarily all the web developers love learning and some of them have a lot of trouble about learning every new technology. That's critically a problem in many situations. Some love learning, some don't. What makes this difference?
- When we're writing software, we care about successors of ourselves who continue developing the project after we leave. When we succeed some other developer's position and start working on software they created, we often criticize them because they are hard to understand, or because part of them doesn't make sense or makes contradictions.
-->
