---
lang: ja
---

## OSS

### deno

🦕 Deno は新しい TypeScript / JavaScript のランタイム.

- https://gist.github.com/mizchi/31e5628751330b624a0e8ada9e739b1e
- https://blog.bokuweb.me/entry/2019/01/11/102706
- @mizchi さんのコードリーディングと @bokuweb さんのコードリーディングが出てきた. これをベースに R の FE 会でも deno の議論があったり, いろんな人が deno について喋っているという不思議な状況. 色々喋っていて, もう少し tokio / GN / ninja あたりに詳しくなりたいと思った. GN が分からないと結局何がどうなってビルドが成り立っているのか分からないため, きちんと deno を理解することは出来ないと思う. そして GN を分かるためには GN のアウトプットである ninja を分かる必要があると思う. 一時期この 2つのツールの公式ドキュメントをかなり眺めていた時期があったけど, ドキュメントだけでは必要なことは分からないという印象を受けた. 本当に分かるためにはソースを読んで行くしかないような気がする.

### bahunya

🌺 bahunya はクラスレス CSS フレームワーク

- https://qiita.com/kt3k/items/f1448936ba4a8fd4de55
  - bahunya (バウヒニア) を初めてプロトタイピング用途で使ってみようと思ったら名前を思い出せなくてググるのも時間がかかってしまい, これはまずいと思って Qiita に紹介記事を書いた. 生 html を良しなにスタイリングするというツールで, スタイルに時間をかけたくないけど, ダサい画面を見たくないというわがままな需要に答えてくれる素晴らしいツール. のはずだけど, github のスター数が低くくて, みんな良さに気づいていないぽい. ツール自体の知名度に貢献する意味でももっと広めなければという使命感を感じて記事を書いた. でも, その記事にもいいねが付かず手応えなし😢

## MyProject

### kt3k/moneybit-app

💰 Moneybit はオープンソースのモバイル経理アプリ

- 補助元帳モーダルの実装側が終わったので, テストに着手した. コンポーネントのテストを全て書いているわけではないけれど, 補助元帳モーダルはアプリ内で 1番目か2番目に複雑なコンポーネントなので, テストを書いておきたいところ. 結構大きめの domain object を複数用意して, カスタムイベントの detail にセットしたものを dispatch することが必要.

### metrics.love

❤️ metrics.love は git のコミット毎に任意のメトリクスを蓄積して, グラフ表示するアプリ

- metrics.love の DB を検討中. CockroachDB が結構気になっている. drone の様にオンプレ版と SaaS版を両方用意したくて, オンプレ版は docker run すればすぐ立てられる様な作りにしたい.

## 仕事

### nuxt

- nuxt のお仕事がまだ微妙に継続中. iPhone で 100vh の意味が微妙におかしい (スクロールで隠れるアドレスバーとかツールバーの高さが 100vh に含まれている) ことによる不具合などに対応. スクロールで隠れるものの高さを 100vh に含むべきかどうかは結構昔から議論があるらしく, Mobile Chrome なんかは別の実装をしていたらしいけれど, Mobile Safari の実装 (スクロールで見え隠れするものを 100vh に含む) が良いという議論になってきているらしく, その他のブラウザもそれに追従して行く方向らしい.

### TechBlog

- https://engineer.recruit-lifestyle.co.jp/techblog/2019-01-10-webpack-2-babel-7/
  - Recruit Lifestyle テックブログで 3本目になる記事を書きました. webpack 2 と babel 7 を同時に使った上で webpack の特殊な dynamic な require をした時にだけ起こる不具合の話で, 原因が template literal のトランスパイルの仕方の変化に関係しているという内容. 日常で出会った不具合から, babel と webpack の AST レベルでの連携の歴史が垣間見れたという点が面白かった.

## 生活

### デグー

🐀🐀🐀🐀🐁

- デグーの子供が6週間ぐらいになってきた. そろそろ男女別の部屋に住ませたいので, 徐々に白い子と白い点のある子を大人デグー2匹が住んでいるリビングに入れて慣らし始めた. 最初はちょっと威嚇する様な声を出したりしていたけど, 数分もしたらなんとなく仲良くなっていて, 大丈夫そうな雰囲気に見えた.
