---
lang: ja
---

## OSS

### deno

🦕 Deno は新しい TypeScript / JavaScript の処理系.

- コントリビューション
  - https://github.com/denoland/deno_std/pull/245
    - Deno.platform が Deno.build に rename された件を deno_std で追従する PR.
  - https://github.com/denoland/deno_std/pull/247
    - "deno" builtin module が消える事に備えて deno_std で import "deno" を辞めるという PR.
  - https://github.com/denoland/deno_std/pull/255
    - execPath という API が出来たので, それを deno_std の使えるところで使うという PR.
  - https://github.com/denoland/deno/pull/1903
    - package.ts という古い規約が残っていた部分を deps.ts に書き換えるだけという PR. 結構 issue を漁るとこういう誰でも出来る issue がいくつも残ってる.

### c3js/c3

📊 c3 は d3 ベースのチャートライブラリ

- https://github.com/c3js/c3/pull/2580
  - v0.6.11 で入れた縦サイズの resize の挙動にバグが入っていることが分かり影響が大きいようだったため revert.

## MyProject

### kt3k/moneybit-app

💰 Moneybit はオープンソースのモバイル経理アプリ

- 科目設定画面の実装が少し進捗. クリックした項目の下に吹き出しのツールチップが出る挙動を実装. この実装のために [capsid-popper](https://github.com/capsidjs/capsid-popper) の挙動を一部拡張した. (popper の基準となる dom を動的に切り替えられるように変更.)

## イベント

### Deno もくもく会 3

- メルカリ社にて Deno もくもく会 第3回 が開催. @syumai さん, @hashrock さん, @keroxp さん, @Leko さん, @bokuweb さん, @kt3k が参加. Deno の API の話, wasm の話, revert された話, user support の話, 本の話, package manager の話, node.js の話, es のプロポーザルの話, etc など話題が尽きなかった. 終了間際に参加者から「一度も黙していない」という発言があり面白かった.

## 数学

### Sequent calculus

- https://github.com/kt3k/math-exercises-notes/tree/master/sequent-calculus
  - 最近ふと Sequent calculus のバリデータを書きたいと思いたち, wikipedia の sequent calculus の項目を note を取りながら読んだり, sequent を parse するために PEG の勉強を始めたりした.
  - PEG の勉強の過程で Lojban という人工言語 (constructed language, conlang) が PEG で parser をかけるという話を知って面白いと思った.
  - Lojban の歴史を読んでいたら, Láadan という conlang から一部語彙を借用しているという記述があり, Láadan の存在を知った.
  - フィクションの道具としての conlang は指輪物語のエルフ語とか, スタートレックのクリンゴン語とか, 1984 の Newspeak とか, 色々と発明されているという事は知っていたものの, 人がコミュニケーションを取るための conlang としてはエスペラントとかノシロぐらいしか存在を知らなかったため, 突然 Lojban, Loglan, Láadan のようなコミュニケーション用 conlang の存在をいくつも知って驚いた.
