---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript runtime.

- Contribution
  - https://github.com/denoland/deno_std/pull/281
  - Added styling options of prettier command.

- https://github.com/denoland/deno/pull/1938
  - @ry seems doing huge refactoring. Integrating //core to //src. Seems doubling the http performance.

## MyProject

### kt3k/moneybit-app

💰 Moneybit is an open source mobile accounting app.

- The tooltip for editing the chart of account now becomes the capsid component and it can handle edit event and delete event. Next week I'm going to implement modal dialog for renaming the account title. It's very slow progress, but it's very important not to stop doing my own project.

## JavaScript

### proposal-decorators

- I realized this week that the proposal of the decorators for ecma262 has been dramatically changed. It is now something like the below:

```js
export decorator @logged {
  @wrap(f => {
    const name = f.name;
    function wrapped(...args) {
      console.log(`starting ${name} with arguments ${args.join(", ")}`);
      f.call(this, ...args);
      console.log(`ending ${name}`);
    }
    wrapped.name = name;
    return wrapped;
  })
}
```

- It uses decorator keyword now and every decorator is derived from the builtin decorators and already defined other decorators.
  - This is very sad news because in my view the previous version of the decorator proposal seemed almost about to go to stage 3. Because of this big change, probably it needs at least one year for the proposal to go to stage 3. And this change requires totally new decorator plugin in babel project, and all of the currently working decorators need to be rewritten, which includes the 5 decorators of my capsid.js as well.
  - The good news about this change is that the champion @littledan is quite active on renewing the proposal, and never shows the sign of giving up it.

## Life

### Tax document

- March 15 was the deadline of tax filing for the fiscal year 2018 in Japan. I was very busy collecting information, documents, and receipts to complete the form this week. I finished creating the document and submitted to the tax office of Tachikawa on March 14. This was the 4th time I submitted the tax document as a freelancer. I used my command-line tool [moneybit](https://www.npmjs.com/package/moneybit) for making the balance sheet from the journal of my business, which is necessary to make the financial statements, a part of the tax document. This tool is the basis of the above application moneybit-app.
