---
lang: en
---

## Web

### Now 2

This week I first realized Now 2 was released last year and it's very different
from now 1. I built the hobby web services `🌱 buttons` in Now 1 infrastructure,
and I started considering migrating it to Now 2. Now 1 was just a container
abstraction. So I was able to write simple express app in it and that was easy.
But Now 2 isn't based on containers, but it based on AWS Lambdas. I actually
didn't look into it deeply, because its usage seems very limited because of ENI
Cold Start problem. Lambda starts very slowly when it needs ENI to access VPC.
It's simply caused by the fact that ENI needs about 10 seconds to be created.
Because of this slow cold start problem, Lambda is unusable when it connects to
VPC (this is most use cases) and also it is required to respond in a small
latecy, like 1 second. This means we can't use lambdas for Web APIs because 10
seconds latency is totally unacceptable. So when I first heard that now switch
to lambdas, I was very skeptical about thier decision, and simply didn't
understand it. After searching a while I found an answer, or a clue of the
answer. In re:invent session last year, a guy in AWS seems to have announced
that they're going to address the ENI Cold Start issue in 2019! If that's true,
the lambda finally becomes what they described themselves at first. With this
information, now the switch of Now from v1 to v2 makes sense, and I decided to
migrate my service's backend APIs to now 2 and serverless architecture,
switching from express to [micro](https://github.com/zeit/micro).

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">Looks like <a href="https://twitter.com/awscloud?ref_src=twsrc%5Etfw">@awscloud</a> has some ideas to fix <a href="https://twitter.com/hashtag/Lambda?src=hash&amp;ref_src=twsrc%5Etfw">#Lambda</a> cold starts in a <a href="https://twitter.com/hashtag/VPC?src=hash&amp;ref_src=twsrc%5Etfw">#VPC</a>. 🙌 Coming in 2019! <a href="https://twitter.com/hashtag/serverless?src=hash&amp;ref_src=twsrc%5Etfw">#serverless</a> <a href="https://twitter.com/hashtag/reInvent?src=hash&amp;ref_src=twsrc%5Etfw">#reInvent</a> <a href="https://t.co/9wPys1Jf6x">pic.twitter.com/9wPys1Jf6x</a></p>&mdash; Jeremy Daly (@jeremy_daly) <a href="https://twitter.com/jeremy_daly/status/1068272580556087296?ref_src=twsrc%5Etfw">November 29, 2018</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Event

### Rust LT

- Joined Rust LT in Leverages Co., Ltd. The new book of Rust in Japanese was
  announced there.
