---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime.

- https://github.com/kt3k/build_deno_on_centos7
  - This week I created a Dockerfile for building deno in CentOS 7. It was
    successfully done. I also tries to build it in Ubuntu 12.04.5, but it failed
    because `gn` crashes with the error of incompatible version of (again)
    GLIBC! The binary version of `gn` seems depends on GLIBC 2.17, but ubuntu
    12.04.5 seems depending on GLIBC 2.16.

### kt3k/coveralls-gradle-plugin

👨‍🔧 The gradle plugin for coveralls

- This week I resumed the maintainance of coveralls-gradle-plugin, which I
  created in 2014. It has only 233 stars, but it is apparantly used in
  [more than 4K repositories](https://github.com/search?q=filename%3Abuild.gradle+com.github.kt3k.coveralls).
  So I feel a little responsibility of maintaining it, though personally I
  stopped using coveralls in favor of codecov. In my opinion, codecov has big
  advantages over coveralls. The API is essentially better designed, and now I
  don't find any reason to keep using coveralls at this moment. Codecov supports
  the users far better than coveralls. I asked several questions to both
  coveralls and codecov. Coveralls never answered to my questions, but codecov
  answered my questions always. But still I'm the only maintainer of
  coveralls-gradle-plugin, so I have to maintain this plugin.
- https://github.com/kt3k/coveralls-gradle-plugin/pull/90
  - This time I updated gradle from 2.13 to 5.4.1. Interestingly this doesn't
    break my `build.gradle` file. I was just able to update the version number
    of gradle. I have to update some test cases, but they were also very small
    things, and didn't require much efforts. Because of this change, I was able
    to enable testing in oracle jdk 11. I had thought that there were some
    problems in jdk 11 because there is
    [an popular issue](https://github.com/kt3k/coveralls-gradle-plugin/issues/85),
    which claims that it doesn't work with jdk 11. But strangely it passes CI
    without any change. So now I don't see the cause of that issue.

## Book

### Animal Farm

🐖 Animal Farm is a classical allegorical novel by George Orwell.

- This week we read the chapter 2. The farm is accidentally revolutionized. It
  used to be called Manor Farm. Now it's called Animal Farm.

## Event

### ginza.js #1

- Joined ginza.js #1 with many friends. The venue was the office of PLAID. We
  listened to the talks on the grass in their office. I liked @naru0504's talk
  the best.

<blockquote class="twitter-tweet"><p lang="ja" dir="ltr">今日はGinza.jsというイベントが会社で繰り広げられてます！ <a href="https://twitter.com/hashtag/plaid?src=hash&amp;ref_src=twsrc%5Etfw">#plaid</a> <a href="https://twitter.com/hashtag/ginza?src=hash&amp;ref_src=twsrc%5Etfw">#ginza</a> <a href="https://twitter.com/hashtag/ginzajs?src=hash&amp;ref_src=twsrc%5Etfw">#ginzajs</a> <a href="https://t.co/v5EOqd6krt">pic.twitter.com/v5EOqd6krt</a></p>&mdash; タカヤナギケイタロウ@PLAID.INC (@keita600) <a href="https://twitter.com/keita600/status/1131167110741127168?ref_src=twsrc%5Etfw">May 22, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
