---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime.

- Contributions
  - https://github.com/denoland/deno/pull/2643
    - Added onload and `load` event handling to `window` object. This feature is
      inspired by the `load` event of the browsers. We can use `window.onload`
      as the main entrypoint of the script.

```ts
window.onload = async function() {
  const res = await fetch(Deno.args[1]);
  console.log(await res.text());
};
```

This script shows the contents from the url given from the command line
argument. There is no explicit call of `onload` function above, but it's called
automatically by the system when the script is loaded.

## Job

### s3sync

♻️ s3sync is a Golang utility for syncing between s3 and local.

- We, engineers at SEQSENSE, created and open sourced
  [s3sync](https://github.com/seqsense/s3sync), a small golang utility for
  syncing between s3 and local disks. The similar function is available as AWS
  cli's subcommand `aws s3 sync`, but we need more efficient one in regards to
  the size and speed for using it in our robots. So we created this library.
- Special thing about the testing of this library was that we first used
  [localstack](https://localstack.cloud/) for testing. Localstack is a mock
  implementation of AWS and can be used as a 'fake' AWS in testing environment.
  We set up the testing of this library using localstack. That simplified our
  test code significantly.

## Event

### TS meetup #2

- We, TypeScript users near Tokyo, gathered in Folio's office and listened to
  the talks about TypeScript. @mizchi's talk was the most accessible to the
  beginners of TypeScript like me. @takepepe's talk was by far the most
  high-level and excellent. @Quramy talked about the graphql support of the
  typescript language server. He introduced his tool `ts-graphql-plugin` and
  described how he approached when he created this tool.
- By the way, Folio's conference room is terrible (maybe the worst among the
  places I've ever been). Why did the room's designer place the screen from the
  ground level? The audience can see only the top 20% of the screen (!) unless
  they are in the front row.
