---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime.

- Contributions

  - https://github.com/denoland/deno/pull/2851
    - Implemented Response.statusText. This was necessary for my book to explain
      the fetch response object.
  - https://github.com/denoland/deno/pull/2855
    - `deno version` command used to use V8 Isolate for showing the version
      number. This PR changes it. Now `deno version` is only processed by the
      rust side. It's partly done by @nayeemrmn.
  - https://github.com/denoland/deno/pull/2864
    - We used to use rollup-plugin-replace for replacing arbitrary symbols in
      TypeScript source code. That was handy technique, but we recently ditched
      rollup and now that string replacing behavior was very naively performed
      in our source code. This PR removes that hack and simply passes everything
      on start up message from rust to V8. The extension of such message has
      become really easy because of the recent ops infrastructure change. The
      messages are now simply JSON. So what I needed to do was just adding
      fields to a JSON object.
  - https://github.com/denoland/deno/pull/2877
    - Response.bodyUsed wasn't implemented. I tried it, and it wasn't difficult.
      I had a little concern about the timing when the bodyUsed becomes true,
      but when I checked it in Google Chrome, the browser seemed making it true
      immediately after the response.text() called. So I mimicked that behavior
      in the above PR.

- A big change in build pipeline happened this week. Rollup was removed. We now
  load scripts one by one and take the snapshot of the entire state. By doing
  this, we don't need any script bundler! This was a big surprise to me. I've
  never imagined that such a way even existed.
- And then we removed `//tools/build.py`. This was a big step forward because
  now we build with standard `cargo build` command. This means anybody now can
  add any crate as a dependency. The rust side of deno is now truly open for
  everyone to extend.

## News

### AWS Lambda

- This week lambda started releasing the update which speed up the cold start up
  time of lambda functions which connect to VPC. It used to be very very slow
  because of the start up time of ENI was very very slow. Now AWS provides new
  infrastructure for ENI initialization. So the lambda is now very quick to
  start up 👍

### CSRF

- https://scotthelme.co.uk/csrf-is-really-dead/
  - According to the above article. Google Chrome is to change the browser's
    default behavior around `SameSite=` attribute of Set-Cookie header, and the
    article says it will result the end of CSRF attacks. I've never checked the
    above assertion in detail, but if it's true, we can simplify the typical web
    development process significantly.

## Book

### denobook 02

🦕 denobook 02 is the 2nd volume of denobook by deno-ja

- I finished the editing of the book.

## Job

### gRPC

- Have written many things using gRPC.
