---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime.

- Contributions
  - https://github.com/denoland/deno/pull/3141
    - I tried to update Permissions API to web standard one. Deno now uses its
      own APIs for permissions, but we realized W3C defines browser's standard
      [Permissions API](https://developer.mozilla.org/en-US/docs/Web/API/Permissions_API).
      So we decided to switch to that APIs. But my first attempt failed because
      the required change was so big and I couldn't finish it in a proper way.
      So I closed it for the moment.

## Job

### In-house LT

- Gave a LT about frontend engineering in general in the office of SEQSENSE. It
  was only for the employees of the company. It was a little diffult for me to
  prepare the talk because I'm not used to talking about frontend engineering to
  the general audiences. I'm used to talking about some specific topics of
  frontend engineering to the frontend engineers, such as babel, webpack, etc.
  However talking about the entire frontend engineering was a huge challenge to
  me. I don't find similar talks frequently in local conferences because they
  also usually talk towards some specific audiences in specific area. They
  suppose many things and often go into the very detail of the topic. In the
  preparation, I remeber the talk by Pamela Fox almost 10 years ago. I heard the
  talk on site. She [talked](https://www.youtube.com/watch?v=2I-o9dFDzi4) about
  the history of the browsers from the first days of the internet. So I borrowed
  some topics from her talk such as the first html pages, etc. The talk was, in
  my view, successful. Many people asked many questions to me after the talk,
  which was rare in recent conferences/meetups.

<iframe width="560" height="315" src="https://www.youtube.com/embed/2I-o9dFDzi4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Article

- [An article](https://xtech.mec.co.jp/archives/1427) about our robot, SQ-2, was
  published from one of our investors, Mitsubishi Estate.

## Event

### deno_ja 6

- We had a meetup of Japanese Deno enthusiasts in Japan. The authors of the
  denobook met for the first time after the publishing event. We talked on many
  topics about Deno.

## Life

### Retrospective

- 10-year retrospective was a meme in Japanese twitter timeline. I did my own.

<blockquote class="twitter-tweet"><p lang="ja" dir="ltr">27歳 新卒で入った会社が倒産<br>28歳 受託WEB開発会社で頑張る<br>29歳 グリーに入社<br>30歳 OSSを始める<br>31歳 イギリス長期滞在<br>32歳 フリーランスを始める<br>33歳 リクルートに関わり始める<br>34歳 個人アプリ開発<br>35歳 個人アプリ完成せず<br>36歳 deno にはまる<a href="https://twitter.com/hashtag/10%E5%B9%B4%E3%82%92%E6%8C%AF%E3%82%8A%E8%BF%94%E3%82%8B?src=hash&amp;ref_src=twsrc%5Etfw">#10年を振り返る</a></p>&mdash; Yoshiya/肩/ひのさわ (@kt3k) <a href="https://twitter.com/kt3k/status/1185081648196440064?ref_src=twsrc%5Etfw">October 18, 2019</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Tech

### Borrowing/Ownership

- This week I found that swift language and D language are aiming to implement
  borrowing and ownership feature in the languages. For now, rust is the only
  language which has this feature, but it seems that everyone now agrees that
  the feature is good and efficient in the programming, and that authors started
  thinking to introduce it in thier languages.
