---
lang: en
---

## OSS

🦕 Deno is a new JavaScript and TypeScript runtime.

- Contributions
  - https://github.com/denoland/deno/pull/3507
    - `deno --version` shows TS/V8 versions as well as deno's version. It was a
      little difficult to find out a right lifetime for long version string.
      First I tried to put that in the function which sets up the clap
      configurations, but that didn't work because the function returns clap app
      instance, and the lifetime of that string isn't long enough for that
      situation. The answer was to put the string out of the function and to
      give the static lifetime to it.
  - https://github.com/denoland/deno/pull/3514
    - `test` function used to take only single function argument, and the name
      of test is specified by the name of the function, but now we have 3
      different ways to specify the name of test, and the error message was so
      outdated. This PR updated it to fit the current signature of `test`
      function.
  - https://github.com/denoland/deno/pull/3529
    - YAML module of the standard library completely lacked the documentation
      except the docs in source code. I realized it when I was creating a small
      script using deno for automating a small task in a company which now I
      worked in. So I added it to README.
  - https://github.com/denoland/deno/pull/3535
    - `parseAll` function of YAML module was simply broken, and couldn't parse a
      very simple case of YAML documents. The cause was a mistake in porting of
      js-yaml to deno std.
    - By the way, this was my 100th contribution to deno's main repository.

## Event

### bokuweb.nes

- Bokuweb.nes members gathered in Karumaru Ikebukuro and talked about random
  things around OSS, IT, etc.

### Deno Advent Calendar

- This month we, Japanese Deno community, are doing
  [Deno Advent Calendar](https://qiita.com/advent-calendar/2019/deno) in
  qiita.com, which is the series of articles about Deno. Each article appears
  each day of December from 1st to 25th. I submitted 9 entries to it.

## Life

### Divorce

- I'm in the process of divorcing with my wife. I rented a new room to live
  alone. I've been moving things to that room these days. I prepared 2 copies of
  the document to submit to the City Hall to make divorce officially, but they
  are shredded by her immediately. I need to repeat the same thing again. Our
  marriage is really unproductive. We don't have any child. My wife now don't
  have an ability to be pregnant. I don't love her anymore. I don't respect any
  aspect of her anymore. She plays everyday without learning anything, without
  making any money, without contributing anything to us, spending money which I
  earned, regarding it as normal thing, taking it for granted. I don't know why
  I have to continue this until I die.
