---
lang: ja
---

## OSS

### denoland/deno

- Contributions

  - Signal Handler

    https://github.com/denoland/deno/pull/3610

    Signal Handler (Ctrl-C とか kill とかのハンドリング) を入れる PR. 前からやろうと思いつつなかなか着手出来ていなかったけど, ついに着手した. Tokio の tokio::signal というモジュールを使って実装している. rust の Stream の実装の仕方が分からなくて, 初めからかなり苦戦したけど, Signal をハンドルするところまでは何とか出来た.

    Signal のハンドリングはできたけど, Signal を Listen するとプロセスが終了出来ないという問題があって, その機能を入れるためには Deno の Core の仕組みの Event Loop の深いところに手を入れないといけなくて, そこで今完全に立ち往生している. Deno の Core の何となくの仕組みとか, どういう風にループを回しているとか, どこで終了判定しているとかはもう分かっていて, どういう変更をすれば良いという戦略的なイメージはすでに付いているのだけど, それを rust 的にどう表現していいのかが, 絶望的なまでに分からなくて, 完全に動きが取れなくなっている. futures 周りのドキュメントを熟読していくしかなさそう.

## Life

### Furniture

- 1/1 から奥さんと別れて新居で一人暮らし中. 家具をいろいろと買い揃えるために, 毎日のようにニトリ, 東急ハンズ, その他家具屋をかなり回った. 今週は選びに選んだソファとダイニングテーブルとラグが届いた.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ついに人権(ソファ)が届いた! <a href="https://t.co/AcLZKNRT4q">pic.twitter.com/AcLZKNRT4q</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1216565170027159553?ref_src=twsrc%5Etfw">January 13, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  ソファとダイニングテーブルは関家具という会社がやっている CRASH GATE というブランドから出ているもので, そこそこの値段するけど, そこまでは高くないもの. 特にソファはモデルチェンジ中の影響でセール品になっていて半額以下(¥35,000)で買えた. 吉祥寺に CRASH GATE の直営店が 1 軒あって, そこで何回か見た上で決めた. テーブルはソファーダイニング用のテーブルで, ソファから使う前提の設計になっていて, 通常のダイニングテーブルより高さがかなり低く(65cm)なっている. 結構カフェとかでは, ソファ(座面 40-42cm)の前に普通のダイニングテーブル(70-75cm)を置いている店も多いので, 普通のダイニングテーブルでもそこまでおかしいわけではないけど, やっぱり座ってみると 65cm ぐらいの方が何となくしっくりくる気がする.

  ラグは大漁カーペットという北海道にあるカーペット専門の通販店から購入. 他にもニトリネット(あんまりない), びっくりカーペット(かなりある), @kuy さんから教えてもらった IERUG (かなりある) などのカーペット通販サイトなども全点目を通して, 3 万円を超えない範囲で圧倒的に気に入ったものを選んだ. 値段の上限を倍にした場合は[こちら](https://bicklycarpet.co.jp/?pid=144414055)がベストだった気がする. 選び方の根拠としては, 今回は家具を基本的に白かグレーで統一しようと考えていて (ソファとテーブルは例外), 白/グレー系しか使っていないラグという時点で 10%以下に絞られる. その中でデザイン性の良いものと選ぶとすでにかなり大きめのサイトをトータルしても数点程度しか候補がなかった. 色々なデザインを見ていく中で, ラグは基本的にはっきりしたデザイン/クラシカルなエンブレム的なものをあしらったものが圧倒的に多い中で, わざと劣化したコンクリートのような柄だったり, 経年による建物の汚れ/かすれのようなものをあしらっているラグが数パーセントあって, そのようなラグはカーペット界では「男前」という形容詞で呼ばれているらしかった. 個人的に男前カテゴリのラグはあまり見た経験がなくて, これがかなり気に入ったので, 男前かつホワイト/グレー系統で絞ると, ほぼ 3,4 点ぐらいしか候補がなかった. その中でも大漁カーペットの PATINA というメーカーのラグはかなりグランジの入れ方がおかしな感じになっていて, どうやったらこのデザインをやろうという気になるのかが理解不能な感じでとても面白く, 非常に気に入ったので購入した.
