---
lang: en
---

## OSS

### denoland/deno

- Contribution

  https://github.com/denoland/deno/pull/4105

  Fixed flaky tests which I introduced several months ago. I introduced a mutex guard to prevent conflicts of the use of the shared value.

## MyProject

### kt3k/lepont

- https://github.com/kt3k/lepont

  Started a new project. I named it [lepont][] (after "le pont", a french word for "bridge"). [lepont][] is a native bridge library on top of react-native. I used to create and use native bridge library [strawjs][] which was written in native languages, Objective-C for iOS and Java for android. When I created it, there weren't swift or kotlin yet. So I had to write in those old languages. I thought about rewriting it in swift and kotlin a few times, but finally I didn't.

  These days I was away from my main project [moneybit-app](https://github.com/kt3k/moneybit-app) because of the preparation of denobook 03 and other presentation in several meetings, and now I feel a little reluctant to go back to moneybit-app because of less motivation than before. MoneyBit is still important, but I don't feel it connects directly to what I really want to do. It feels so long detour to the actual goal. One of the motivations behind moneybit was that it would make money because it could replaces some expensive accounting apps like moneyforward or freee (both Japanese local accounting apps). However after seeing the people actually using these apps, I feel it's difficult to actually replace them by my app. So now MoneyBit feels like just a long long detour with only a little motivation.

  Then now I want to do something new. Some new app which is somehow mathematical, and is somehow a exploration to something unknown for the users and for me as well.

  I invented an app, which is named Tententen ("ten" means a dot in Japanese, and tententen means 3 dots). I started it (in my mind), but before I actually start coding it, I wanted to rewrite [strawjs][]. So that motivated the creation of [lepont][]. By the way I first called it `locomoco` after the name of a Hawaiian food, locomoco, but the name was taken in npm namespace, and I came up with another name `lepont`.

  I prototyped [lepont][] in almost 2 days. Now it has test cases with 100% line and branch coverages. I'm quite satified with the quality now. So I will continue on creating Tententen next week.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">やっと android 動いた <a href="https://twitter.com/hashtag/lepont?src=hash&amp;ref_src=twsrc%5Etfw">#lepont</a> <a href="https://t.co/fPK1HdQIV4">pic.twitter.com/fPK1HdQIV4</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1231230397704372224?ref_src=twsrc%5Etfw">February 22, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">LePont のテストカバレッジが100%になった. あー, 早くアプリ作らなきゃ. <a href="https://t.co/qsohrIJ05R">https://t.co/qsohrIJ05R</a> <a href="https://t.co/74bjDExy9F">pic.twitter.com/74bjDExy9F</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1231101452883357696?ref_src=twsrc%5Etfw">February 22, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

[lepont]: https://github.com/kt3k/lepont
[strawjs]: https://github.com/strawjs
