---
lang: en
---

## MyProject

### Tententen

https://github.com/monoidcc/Tententen

- Continued working on Tententen. This week I felt I almost finished the prototyping. I continue working on it next week to approach further to the end of the work.

### capsid

https://github.com/capsidjs/capsid

- Continued working on it. This week I added `@pub`, `@sub`, and `@innerHTML` decorators. `@innerHTML` is the syntax sugar for the next pattern:

  ```js
  @component('foo')
  class Foo {
    __mount__() {
      this.el.innerHTML = `
        <p><span>Hello, world!</span></p>
      `
    }
    ...
  }
  ```

  The above very frequent pattern of initializing innerHTML at mount lifecycle becomes like the below using `@innerHTML` decorator:

  ```js
  @component('foo')
  @innerHTML(`
    <p><span>Hello, world!</span></p>
  `)
  class Foo { ... }
  ```

  `@pub` and `@sub` are, as their name suggest, the decorators for building pub/sub pattern in capsid components.

  `@pub` publishes event to the elements which have `sub:{event}` class. For example:

  ```js
  @component("foo")
  class Foo {
    @pub("bar")
    bar() {}
  }
  ```

  The above bar method publishes `bar` event to the elements which have `sub:bar` class. In this case, the class name `sub:bar` means that the element is the subscriber of `bar` event.

  On the other hand, `@sub` decorator adds class `sub:{event}` to the element:

  ```js
  @component("baz")
  @sub("bar")
  class Baz {
    @on("bar")
    bar() {}
  }
  ```

  In the above example, `baz` component automatically has `sub:bar` and therefore it becomes the subscriber of `bar` event. It catches the event from the corresponding `@pub` decorator 👍 Because we have `@is` decorator already, `@sub(event)` decorator is the simple syntax sugar for `@is('sub:' + event)`.

  The addition of `@pub` and `@sub` significantly simplifies the communication between components and they replaces the usages of `@notifies` decorator. So I removed `@notifies` in the latest version of capsid.js.

## Event

### [`#denosawa_tokyo`](https://twitter.com/hashtag/denosawa_tokyo)

- I met with @sadnessOjisan and @imbsky in a restaurant in Yotsuya. I met with @imbsky for the first time.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ワイン <a href="https://twitter.com/hashtag/denosawa_tokyo?src=hash&amp;ref_src=twsrc%5Etfw">#denosawa_tokyo</a> <a href="https://t.co/O1ujAwu2MO">pic.twitter.com/O1ujAwu2MO</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1239877786149351424?ref_src=twsrc%5Etfw">March 17, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### [UIT meetup vol.8][uit8]

- I talked about [deno][] at the event [UIT meetup vol.8][uit8] in a VR space provided by [cluster](https://cluster.mu/). The prepation is a little bit tougher than usual conferences because I couldn't use web browser during my talk. I was also unable to show my terminal, so I need to prepare the movie files for the demo sequences which I wanted to show during the talk. The slides are available [here](https://git.io/uit8-deno).

[deno]: https://deno.land/
[uit8]: https://uit.connpass.com/event/161964/
