---
lang: en
---

## OSS

### Deno

- Deno finally has `--inspect` option! We can debug deno applications from chrome devtools!

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">Trying new deno --inspect option <a href="https://twitter.com/hashtag/denoland?src=hash&amp;ref_src=twsrc%5Etfw">#denoland</a> <a href="https://t.co/SdAjAed8Iq">pic.twitter.com/SdAjAed8Iq</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1243760804807077888?ref_src=twsrc%5Etfw">March 28, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  This also opens the path for implementing the coverage support of deno [#106](https://github.com/denoland/deno/issues/106).

## MyProject

### Tententen

https://github.com/monoidcc/Tententen

- Continued working on Tententen. Started crafting domain logic of the app. This week I made preview modal of the editted Tententen object. Next week I'm going to make save and delete features.

### @lepont/async-storage

https://github.com/kt3k/lepont-async-storage

- Created AsyncStorage plugin for [lepont][]. You can use [AsyncStorage][] of react-native inside the lepont-enabled "browser".

  The testing of this library was a little hard to write. First I imagined I could test this in a integration test style if I could launch karma inside the webview inside the react-native app in the iOS and Android simulators. However after a while I figured out that nobody was doing it and the karma-launcher of such stack was very very hard to write. So I gave up that path and swithed to thinking about mocking the environment. After several trials and errors, it appeared that mocking was not bad, and I was able to write good tests for both react-native side and browser side code bases using simple mock objects 👍 This was a nice first step for expanding lepont ecosystem.

## News

### PEZY computing

http://www.news24.jp/articles/2020/03/25/07615275.html

- The CEO of PEZY computing was verdicted 5 years in prison. He was a so brilliant engineer and businessman. PEZY was doing so well on producing energy efficient super computers which were listed in [GREEN500 list](https://www.top500.org/green500/lists/). The reason of verdict says that he used the invented money for private usage. I'm a little skeptical about that reason because the amount of (allegedly) abused money is only a little part of the money they have been invested and what PEZY produced actually achieved sufficiently what they promised to produce. So there seems only a little (or 0) problem on their activity.

  What will he learn from this inprisonment? Who gets what benefit from this? This seems only slowing down the innovation of super computers in this country. What's the motivation behind the sentence behind this?

### ITP

https://webkit.org/blog/10218/full-third-party-cookie-blocking-and-more/

- Webkit announced they make 7-day cap on all script-writable data on browser, which includes localStorage, Indexed DB, and ServiceWorker. After reading the specs carefully, expiring indexed DB is no problem because the spec seems saying it's ok to expire it to prevent 3rd party tracking. However the spec of Web Storage says localStorage will never expire except when the user explicitly want it or for security reason. So in my opinion, this breaks the spec and probably it will actually break the real world applications which depend on localStorage. As for service workers, there seems no way to abuse it for 3rd party tracking because the authors seem very carefully drafting the spec to avoid such abuses. So in this point webkit seems failing to describe the reason for disabling the persistence of it.

## Hobby

### Key holder

- I created acrylic key holders of Deno using two companies Pixiv and Otaclub.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">不要不急のアクリルキーホルダーが納品された. <a href="https://twitter.com/hashtag/denoland?src=hash&amp;ref_src=twsrc%5Etfw">#denoland</a> <a href="https://t.co/PJ5nESYwsy">pic.twitter.com/PJ5nESYwsy</a></p>&mdash; Yoshiya/肩/Deno澤 (@kt3k) <a href="https://twitter.com/kt3k/status/1242080374806609922?ref_src=twsrc%5Etfw">March 23, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  The qualities of the products were almost the same. Otaclub ships faster and cheaper, but the process of submitting the data was tedious. Pixiv provides far better user experience in the process of submission of data. You can only need web browser and base image file for creating data for pixiv. I was really surprised by the quality of the user interfaces of the design editor of pixiv. So I recommend pixiv for prototyping the material and otaclub for mass production. By the way, both services probably only operate in Japan! I guess there are similar local services in most countries.

[lepont]: https://github.com/kt3k/lepont
[asyncstorage]: https://github.com/react-native-community/async-storage
