---
lang: en
---

## OSS

### denoland/deno

- Rebased [#5276](https://github.com/denoland/deno/pull/5276) to land it finally! It needed some work. Deno core seems still developing quite quickly.

- Posted [#7127](https://github.com/denoland/deno/pull/7127), a minor fix in build process. The above change extracts the typescript version from typescript's bundled source code. I learned several APIs in rust's std library in it. I was impressed by `chars()` method of string, which returns a iterator of chars. You can call methods like `skip_while` or `take_while` on it. It feels very high level language, but its actual meaning is very low level.

## MyProejct

### Tententen

- Gave up using `@lepont/share` and therefore `react-native-share` for sharing images in android devices because it seemed broken on Huawei devices. I started looking for the way to "save" the image on the device instead of "share". First I tried `<a download>` tag in webview for saving images. This would be the simplest one if it would have worked but it doesn't work because android doesn't handle `data:` scheme (This was quite surprising to me because data uri has been a part of web standard for years). Then I tried `@react-native-community/cameraroll`. This worked on iOS, but it didn't on android. The library doesn't work with base64 images on Android devices. That was a known issue. Next week I'll try `react-native-fs` for saving the images first on android devices, and then save it using `cameraroll`. I wish it will work.

### lepont

- I changed the APIs of main entry hook this week in [#4](https://github.com/kt3k/lepont/pull/4/files).

  Before it was:

  ```ts
  const registry = useRegistry();
  useBridge(registry, name, impl);
  ```

  Now it is:

  ```ts
  const [ref, onMessage] = useBridge((registry) =>
    registry.register(name, impl)
  );
  ```

  This is simpler, clearer, well-typed. I like this version very much!

## Life

### Toyosu walk

- Iyo-chan and I went to Toyosu and Tsukishima this weekend. It was a nice walk in a summer day!

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">enjoy summer :) <a href="https://t.co/DYHPgxyZck">pic.twitter.com/DYHPgxyZck</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1297102551246991360?ref_src=twsrc%5Etfw">August 22, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  We visited a [monjayaki](https://en.wikipedia.org/wiki/Monjayaki) shop, Tsukushiya. It was so nice and delicious!!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 月島 つくしや <a href="https://t.co/7jRmoYYbC9">pic.twitter.com/7jRmoYYbC9</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1297123379535740928?ref_src=twsrc%5Etfw">August 22, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Takano Fruit Parlour

- Iyo-chan and I went to Takano Fruit Parlour on Sunday. It was absolutely, stunningly delicious!! It was a little pricey, but I recommend this place to everyone, especially the visitors from abroad should go there if you have time. We had Seasonal Trifle of Peach (front) and Fruit Plate of Peach (back).

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 桃のフルーツトライフル、桃のフルーツプレート <a href="https://t.co/A3o0yyywMD">pic.twitter.com/A3o0yyywMD</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1297461538547208198?ref_src=twsrc%5Etfw">August 23, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Iyo's kitchen

- Iyo-chan's cooking skill was awesome this week as well.

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr"><a href="https://twitter.com/hashtag/azukimeal?src=hash&amp;ref_src=twsrc%5Etfw">#azukimeal</a> <a href="https://t.co/NL7GvBtOQq">pic.twitter.com/NL7GvBtOQq</a></p>&mdash; あずき (@azukimeal) <a href="https://twitter.com/azukimeal/status/1295371246704582658?ref_src=twsrc%5Etfw">August 17, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">よるごはん！ <a href="https://t.co/nGv90bTnvh">pic.twitter.com/nGv90bTnvh</a></p>&mdash; あずき (@azukimeal) <a href="https://twitter.com/azukimeal/status/1296838212405481473?ref_src=twsrc%5Etfw">August 21, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">きのうはそうめんとてんぷら <a href="https://t.co/wm1zDDBoK6">pic.twitter.com/wm1zDDBoK6</a></p>&mdash; あずき (@azukimeal) <a href="https://twitter.com/azukimeal/status/1298219402924417024?ref_src=twsrc%5Etfw">August 25, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
