---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime

- Contributions
  - Fix a test case of `//cli/flags.rs` at [#7236](https://github.com/denoland/deno/pull/7236).

### romefrontend/rome

Rome is a new frontend toolchain.

- Rome is a revolutionary tool or at least it aims to be a revolutionary tool. It supports almost the entire process of frontend development by the only one single cli tool without any external dependencies. It could be the most significant masterpiece of frontend development if it attained what it first promised. This week I tried to use `rome check` (the linter) in one of my old projects to replace the usage of `lynt` because `lynt` now seems unmaintained and I don't want to set up the so combersome `typescript-eslint` configuration. In it I found [this issue](https://github.com/romefrontend/rome/issues/425). It suggests that rome should use tabs for indentation for the purpose of accessibility. @sebmck accepted the proposal and now rome uses tabs. What I found is a problem there is that rome doesn't provide the way to configure it. We can't choose `2 spaces` for indentation 🤔 That's comparably small thing but what I found that I can never agree is that it enforces `no-explicit-any` rule for TypeScript source code. I agree that `any` is a bad thing but I sometimes can't find a way to avoid it. The very good part of TypeScript is its so tolerable approach to `bad code`. TypeScript always gives a way to compile to any JavaScript code no matter how badly typed they are. I believe any JavaScript code can be transformed into TypeScript without changing semantics and that's possible because TypeScript can be so loose in typing. I think that "loose" character of TypeScript is the great strong point of it to promote its adoption. However if you use rome, it enforces `no-explicit-any` so you can't use `any` and you can't configure it. That means you can't use rome if your code is "bad". My library capsid needs to use `any` and I don't know the way to avoid it at the moment. So that means I'm literally unable to use rome at the moment because of this restriction 😬

## MyProejct

### monoidcc/Tententen

- Finally I was successful at saving images on Huawei Android devices! 🎉 ([The commit](https://github.com/monoidcc/Tententen/commit/db5122b1e49f7b3c171a62aa1c5fd4e966aef365)). The modules I used in the final successful form were `react-native-fs`, `@react-native-community/cameraroll` and PermissionsAndroid of `react-native`. The modules I couldn't use for this purpose were `react-native-share` (and any other sharing libraries) and `react-native-file-provider` (unable to compile because it's too old). I also tried `<a download />` but it didn't work because it doesn't handle `data:` uri scheme (The error message says they don't support it).

  I finally understand the correct way to save the image on the device's camera roll. So the next step is finally finish the UI and ship it to App Store and Google Play 👍 However before that I would create some lepont modules to make it easy to reuse the above process in the next similar apps.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/tententenapp?src=hash&amp;ref_src=twsrc%5Etfw">#tententenapp</a> やっとアプリからカメラロール保存出来ただよ <a href="https://t.co/bDPv9oEJek">pic.twitter.com/bDPv9oEJek</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1299015521690558464?ref_src=twsrc%5Etfw">August 27, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Life

### Iyo's kitchen

- Iyo-chan was a great chef this week again!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> そうめん、天ぷら <a href="https://t.co/C53QpkOAEj">pic.twitter.com/C53QpkOAEj</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1297869337844305925?ref_src=twsrc%5Etfw">August 24, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr">🥰 <a href="https://t.co/QRC0gwdbTF">pic.twitter.com/QRC0gwdbTF</a></p>&mdash; あずき (@azukimeal) <a href="https://twitter.com/azukimeal/status/1298630778633371648?ref_src=twsrc%5Etfw">August 26, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 生姜焼、お野菜、みそ汁、とうふ、ご飯 <a href="https://t.co/hkThJ56ho6">pic.twitter.com/hkThJ56ho6</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1298951690578583552?ref_src=twsrc%5Etfw">August 27, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 肉じゃが <a href="https://t.co/nzJll6rY08">pic.twitter.com/nzJll6rY08</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1299325241512964099?ref_src=twsrc%5Etfw">August 28, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Toshi Yoroizuka

- Iyo-chan and I went to [Toshi Yoroizuka](http://www.grand-patissier.info/ToshiYoroizuka/) in Roppongi Midtown this weekend. Toshi Yoroizuka is a fancy sweet shop in Tokyo. We had special parfaits and they were so delicious 😋

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> Toshi Yoroizuka パフェ <a href="https://t.co/hibbB8hSZK">pic.twitter.com/hibbB8hSZK</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1299302548570955776?ref_src=twsrc%5Etfw">August 28, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
