---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime

- Contributions

  - https://github.com/denoland/deno/pull/7314

    Found an issue [#7308](https://github.com/denoland/deno/issues/7308) and solved it in [#7314](https://github.com/denoland/deno/pull/7314). I first realized in it that `decodeURIComponent` doesn't parse query (search) param correctly, but we need to `.replace(/+/g, ' ')` before applying it 🤔

- Applications

  - This week I found a deno application, [GitHub Profile Trophy](https://github.com/ryo-ma/github-profile-trophy). This is written in Deno using [vercel-deno](https://github.com/TooTallNate/vercel-deno) builder and therefore deployed to [vercel](https://vercel.app). I think this app is significant in the sense that the author used deno for trying to invent something new in software space, not just reinvent something already existed out there.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">開発しました。GitHubを利用している方、是非、個人開発や学習のモチベーション維持に。<br><br>🏆 GitHubのプロフィールをイケイケにするトロフィー(活動実績)が表示できるサービスの開発および公開した話 <a href="https://t.co/RhN2ZBtwgO">https://t.co/RhN2ZBtwgO</a> <a href="https://twitter.com/hashtag/Qiita?src=hash&amp;ref_src=twsrc%5Etfw">#Qiita</a> <a href="https://twitter.com/hashtag/%E9%A7%86%E3%81%91%E5%87%BA%E3%81%97%E3%82%A8%E3%83%B3%E3%82%B8%E3%83%8B%E3%82%A2?src=hash&amp;ref_src=twsrc%5Etfw">#駆け出しエンジニア</a> <a href="https://twitter.com/hashtag/%E5%80%8B%E4%BA%BA%E9%96%8B%E7%99%BA?src=hash&amp;ref_src=twsrc%5Etfw">#個人開発</a></p>&mdash; ryo-ma (@Skeinin) <a href="https://twitter.com/Skeinin/status/1300204099745406976?ref_src=twsrc%5Etfw">August 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### romefrontend/rome

Rome is a new frontend toolchain.

- Last week I wrote that rome was disappointing because it didn't provide the modification ability of lint rules and enforces the hard tabs to all users. That changed this week. Now those are simply configurable! 🎉 See [#1163](https://github.com/romefrontend/rome/pull/1163).

### curl/curl

- Curl now supports MQTT by default. It's very interesting to see such old software still developing dynamically.

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">curl: MQTT support is now enabled by default. No longer considered &quot;experimental&quot;.<a href="https://t.co/c0kOffRXnK">https://t.co/c0kOffRXnK</a></p>&mdash; Daniel Stenberg (@bagder) <a href="https://twitter.com/bagder/status/1300339234495135744?ref_src=twsrc%5Etfw">August 31, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### tc39/proposal-decorators

- To my surprise, @littledan started again a new draft of decorators proposal. This time he simplified it very much and maybe it's the simplest to the users, the decorator authors, and the implementors of the engines. It's very similar to python's decorator. Especially the semantics and the way to evaluate decorators is very very similar to python.

  I've never expected this new version happens because decorators proposal have been already defeated 4 times and there seemed no reasonably way to continue it anymore. I was really surprised his undefeatable mind 😵

  I'm also very surprised the simplicity of this version of the proposal. This one obviously lacks the feature to "add" new properties to the prototype of the class, and that's the point of this version. We can modify only the decorated methods, not able to modfiy arbitrary property of the prototype. That simpifies the implementation of both engines and transpilers. Thus it's named "simplified" decorators.

  The evaluation of the decorator happens after the evaluations of the other elements. That's basically the same as the python version. So this proposal, in my view, is the same in most aspects as the python's version. The idea of decorators were derived from python's decorators, and we tweak it a little to align it to the Object.defineProperty's signature. That caused the problem in the evaluation of order of class elements and decorators, and the 1st decorators were rejected. The 2nd decorators addressed that evaluation order problem, but it became too complicated. The transpilation of the 2nd decorators were totally huge and at the level of suffering the web ecosystem. Then it was rejected. The 3rd proposal, static decorators, tried to address that complexity, but it introduced totally new syntax elements and that caused the traspilation very difficult. Then it was rejected. The 4th decorator shed lights to how to implement field decorators, but didn't address the previous issues at all, and it was rejected. After such very long detour, we finally try to simply mimic the python's decorator. I found it's a very interesting story.

## MyProejct

### kt3k/generator-lepont-bridge

- Created a yeoman geneartor for a lepont bridge, [generator-lepont-bridge](https://github.com/kt3k/generator-lepont-bridge). You can generate a scaffold of lepont bridge, and easily start the development of a new bridge (A lepont bridge is a plugin of lepont which handles some specific function of react native and bridges between react native and webview).

### kt3k/lepont-platform

- Using the above generator, I created a new lepont plugin, [lepont-platform](https://github.com/kt3k/lepont-platform). lepont-platform provides the function of accessing the platform information from the webview.

### kt3k/shuho

- Switched the css theme of Shuho (this weekly report website) from new.css to [sakura.css](https://github.com/oxalorg/sakura). I also tries ridge.css and Marx. Sakura was by far the best among these classless css frameworks and now my best favourite classless css framework!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">やっぱり sakura の方が圧倒的に良いので、sakura に変えよう・・・<br>← marx<br>→ sakura <a href="https://t.co/oQprrXqsul">pic.twitter.com/oQprrXqsul</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1300483476802551809?ref_src=twsrc%5Etfw">August 31, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Life

### Iyo's kitchen

- This week's Iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 豚モヤシ、ひじき、梅干し、卵焼き、麦みそ汁と雑穀ごはん <a href="https://t.co/6edUilGgld">pic.twitter.com/6edUilGgld</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1300404293887905792?ref_src=twsrc%5Etfw">August 31, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> ラタトゥイユ、ジョンソンヴィルソーセージ、他 <a href="https://t.co/ln1mJK1GMr">pic.twitter.com/ln1mJK1GMr</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1300770324431003648?ref_src=twsrc%5Etfw">September 1, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">肉豆腐の下準備完了！<br>味がしみてないのでまた一晩寝かせます😴<br>煮物は崩れてしまうのが嫌なので、最低限火にかけてあとはアルミホイルで蓋をして余熱で煮込み、一晩冷蔵庫に入れて次の日食べる派です🍳 <a href="https://t.co/oI2hb9Yd7e">pic.twitter.com/oI2hb9Yd7e</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1301466270810779648?ref_src=twsrc%5Etfw">September 3, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">たまごやき綺麗にできました🍳 <a href="https://t.co/yxVH4vMa43">pic.twitter.com/yxVH4vMa43</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1300383192545861632?ref_src=twsrc%5Etfw">August 31, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Weekend

- Went to Tiffany's Cafe in Harajuku on Saturday together with Iyo-chan.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ティファニーカフェきゃわ🥰 <a href="https://t.co/oetGoIeA7R">pic.twitter.com/oetGoIeA7R</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1302109543371956229?ref_src=twsrc%5Etfw">September 5, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
