---
lang: en
---

## OSS

### denoland/deno

🦕 Deno is a new JavaScript and TypeScript runtime

- My contributions

  https://github.com/denoland/deno/pull/7507

  Added `alert`, `confirm`, and `prompt` function from the web standards. It uses only JavaScript for the implementation. So the performance is not so good. It can be improved by the special op for reading a single line, but that seemed too much for this single purpose. So I avoided adding such op.

  I expected some negative arguments against introducing these features because in the original issue it had some negative arguments. However it only got positive feedbacks at the time of writing.

  My reasoning behind this addition is that it's little too complex to read a single line from stdin in Deno, just like Node.js. It requires `TextDecoder`, `Uint8Array`, while-loop, and optionally `Promise`. That's not a big deal for the advanced users, but actually a nightmare for _beginners_ of Deno, beginners of JavaScript, or beginners of Programming. A task like reading a single line from stdin is important for learning the runtime to do basic excercises in the first chapters, but current Deno's API sets have a big bar for it. Reading a single line is very difficult (for beginners)! I'd like to remove that bar from Deno.

  I first tried to add something like `Deno.readLineSync`, but after thinking a while I realized it was actually `prompt` of web standards. So I came up with this PR.

## Tech

### zenn.dev

- A new service called [zenn.dev](https://zenn.dev) has been launched this week and it got huge popularity in Japanese tech scene. Maybe it'll be a big service in a while.

## Life

### Iyo's kitchen

- This week's Iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> <a href="https://t.co/5nYhjNx4co">pic.twitter.com/5nYhjNx4co</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1306240278416613376?ref_src=twsrc%5Etfw">September 16, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Vacation

- It was 4 days holiday in Japan. Iyo-chan and I went to many places.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">4日間まとめ<br>土曜日：六本木散歩<br>マクドナルド→おつな寿司<br>日曜日：目黒・秋葉原散歩<br>カレーLAND→寄生虫博物館→<br>秋葉原　デニーズ→ペッパーランチ<br>月曜日：お台場散歩<br>アクアシティお台場　五右衛門<br>→TENET→セブンいえごはん<br>火曜日：広尾恵比寿散歩<br>近くのカフェ→つばき食堂<br>→サンマルク <a href="https://t.co/0uhhTonatI">pic.twitter.com/0uhhTonatI</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1308356282525446145?ref_src=twsrc%5Etfw">September 22, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
