---
lang: en
---

## OSS

### elsaland/elsa

- This week I found an interesting OSS [elsa](https://github.com/elsaland/elsa). It is a new JavaScript runtime based on QuickJS of Fabrice Bellard, and is written in Go language, which is the path that deno didn't choose with the concern about double GC of Go and V8.

  Elsa executes faster trivial programs such as hello world. Maybe it is because quickjs is faster at bootstraping than V8 because of its simplicity. However, of course, CPU intensive scripts, like large number of loops, are faster with deno because of the JIT capability of V8. So the choice of the engines is a trade-off.

  One thing significant about elsa is that it already implements `elsa pkg` command. It packages the script into a single executable. Elsa itself was 20MB on my machine. When I packaged my hello world script with elsa, it produced 10MB executable and it actually worked without any problem. I'm a bit surprised by the fact that it's already working at this early stage.

## Tech

### Scrapbox

- I was reading about @shokai's scrapbox this week and I found the series of the ideas about how to develop scrapbox was so fantastic (@shokai is one of the developers of scrapbox). It excludes any "social bait" features such as "like button", "share button", etc. I found it is different from any other usual "wiki" tools and it can be used as a tool for digging ideas truly deeper than any other usual memo tools.

  Then I started my own public scrapbox space [here](https://scrapbox.io/kt3k/). I already found some new ideas from my own scrapbox just by writing down there what I already knew.

### WELQ

- I knew about WELQ incident, but I didn't realize its significance until reading [this article](https://moonpower2020.net/2016/11/25/post-343/) this week. The article described how WELQ compromised the google search result in a legitimate, but also dirty and aggressive way. It says that WELQ was almost about to control most Google search results, and therefore about to control Google. WELQ closed its service in 2016 when it was criticized by authorities, but Google didn't take any effective action against it.

## Hobby

### Tenet

- I've seen a movie called Tenet together with Iyo-chan on Monday (because Monday was holiday in Japan). It was a so encryptic movie and I enjoyed and loved it. I didn't think the storyline of the movie was consistent, but I felt it had the strong motive to deliver the idea of that strange world where the time can be inverted. The complex structure of the timelines of the movie reminded me the structure of Memento, another movie by the same director.
