---
lang: en
---

## OSS

### dnoland/deno

- A commercial book about Deno seems published by Apress. Wow!

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">It&#39;s finally here! In case you didn&#39;t know, with <a href="https://twitter.com/Apress?ref_src=twsrc%5Etfw">@Apress</a> we&#39;ve published a book about <a href="https://twitter.com/deno_land?ref_src=twsrc%5Etfw">@deno_land</a> ! If your interested in learning more about it, check it out! <a href="https://t.co/O992XSJegt">https://t.co/O992XSJegt</a> <a href="https://t.co/AysFDKklZB">pic.twitter.com/AysFDKklZB</a></p>&mdash; Fernando Doglio (@deleteman123) <a href="https://twitter.com/deleteman123/status/1311246308456435713?ref_src=twsrc%5Etfw">September 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### PHP 8 Attribute

- PHP 8 has so many new features. It includes JIT, for example. I found the Attributes feature especially interesting among them.

  PHP 8 Attributes has the following syntax:

  ```
  #[Attribute('foo')]
  class Foo {
    ...
  }
  ```

  This attaches the instance of Attribute class to Foo class. The instance can be retrieved as the below:

  ```
  $reflector = new \ReflectionClass(Foo::class);
  $reflector->getAttributes();
  ```

  So PHP's Attributes are like Attributes of C# or Annotations of Java. They are not like the decorators of Python or the decorators of the TC39 proposal. PHP Attributes just append metadata to the attributed elements, not dynamically replace or modify them.

  TC39's decorators proposal has been experiencing hard time for over 5 years. It faces so many negative reactions from the implementers of JS engines and transpilers and their early adopters. All these negative reactions are rooted, IMO, from its too dynamical nature. Decorators modifies too much things at runtime, and that reduces the benefit of JIT. Any measures against that problem has caused other problems for now and we don't see the reasonable exit route at this moment.

  PHP didn't chose Decorators, but chose Attributes. I think that was a very right choice. Most decorators' use cases are, IMO, covered by Attributes, and it doesn't make such bad impact to the runtime performance. So now Attributes seem a right tool to do Aspect Oriented Programming in dynamic language. TC39 should have promoted Attributes instead of Decorators. So I started writing Proposal Attributes in my scrapbox ( https://scrapbox.io/kt3k/proposal-attributes ).

## Life

### Scrapbox

- Still feels very comfortable with Scrapbox. It feels like a smart drug without chemicals.

### Hammock

- We bought a hammock.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ハンモックで揺れながらプログラム書くおじさん <a href="https://t.co/gWyitC2641">pic.twitter.com/gWyitC2641</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1311295544673722368?ref_src=twsrc%5Etfw">September 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Iyo's kitchen

- This week's Iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">クリームシチューと<br>おいしい食パン🍞 <a href="https://t.co/yDMAI64Fnv">pic.twitter.com/yDMAI64Fnv</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1310607226311114752?ref_src=twsrc%5Etfw">September 28, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">今までで一番おいしいからあげだった <a href="https://t.co/CSQJ7qEEJ5">pic.twitter.com/CSQJ7qEEJ5</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1312734290547884033?ref_src=twsrc%5Etfw">October 4, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Mother

- This weekend Iyo-chan's mother visited our house. We talked about a lot of things, had dinner together, and spent a happy time.
