---
lang: en
---

## OSS

### dnoland/deno

Deno is a new JavaScript and TypeScript runtime.

- My Contributions

  - https://github.com/denoland/deno/pull/7885

    Documented `hasSuffix` and `contains` in README of `std/bytes`.

  - https://github.com/denoland/deno/pull/7930

    Fix the handling of inspection (console.log) of functions when the prototype of it is intentionally deleted.

  - https://github.com/denoland/deno/pull/7931

    Documented `toIMF`, `isLeap`, and `difference` in README of `std/datetime`. `std/datetime` now only has 6 methods, but that's too small number of APIs if the developer use it for serious application which handles the datetime. So there is plenty of room to work with.

  - https://github.com/denoland/deno/pull/7507

    Updated a month old PR of addition of prompt. Maybe too late for the next minor update?

## MyProject

### Tententen

Tententen is a mobile generative art app. It's free and open source. No ads.

- Updated the main button design (I use #fcfcfc for background-color). Improved the resolution of canvas by multiplying the canvas size with window.devicePixelRatio. This seems a typical practice when you use a canvas in ratina screens. Fixed the bug of the timing of creating style dynamically with emotion. Now emotion seems a bad choice and linaria looks better. But linaria requires some configuration on building. Maybe I should switch to webpack at this timing?

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr"><a href="https://twitter.com/hashtag/tententenapp?src=hash&amp;ref_src=twsrc%5Etfw">#tententenapp</a> Today&#39;s status <a href="https://t.co/ji8aWDT6tK">pic.twitter.com/ji8aWDT6tK</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1315694357039595520?ref_src=twsrc%5Etfw">October 12, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  I also created simple `toast` component for non modal messaging.

  I switched the management of issues from github to scrapbox. I got this idea from @shokai's scrapbox. The scrapbox team seemed handling issues in scrapbox, not in github issues. This looked quite reasonable move. Scrapbox is much faster than github issues and can seamlessly connect to the specs and other document. After switching to scrapbox I actually felt it worked so much better.

## Life

### Gunma

- Iyo-chan and I went to Gunma prefecture this weekend. We went Fukiware Falls and that was a great view.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">群馬 <a href="https://t.co/YlWoWHOQ2c">pic.twitter.com/YlWoWHOQ2c</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1314867482578939904?ref_src=twsrc%5Etfw">October 10, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr">🥰 <a href="https://t.co/PffWAR1i61">pic.twitter.com/PffWAR1i61</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1315277889886023683?ref_src=twsrc%5Etfw">October 11, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Iyo's kitchen

- This week's iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> <a href="https://t.co/xx6fj3GT24">pic.twitter.com/xx6fj3GT24</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1313087281813614592?ref_src=twsrc%5Etfw">October 5, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 朝ご飯 <a href="https://t.co/JtZirhR4h8">pic.twitter.com/JtZirhR4h8</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1314548341443706882?ref_src=twsrc%5Etfw">October 9, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">鍋かわいくしてみた <a href="https://t.co/uLSHEiE3ZB">pic.twitter.com/uLSHEiE3ZB</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1313438926497955840?ref_src=twsrc%5Etfw">October 6, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">雑さが漂うミルフィーユ鍋 <a href="https://t.co/B4UJjrOHlL">pic.twitter.com/B4UJjrOHlL</a></p>&mdash; あずき (転職活動中) (@okomekirai) <a href="https://twitter.com/okomekirai/status/1315251519822786563?ref_src=twsrc%5Etfw">October 11, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
