---
lang: en
---

## OSS

### capsidjs/capsid

💊 Capsid.js is a declarative DOM programming library.

- This week I ported official TodoMVC test cases to capsid's todomvc repository. It's written in [cypress](https://github.com/cypress-io/cypress). I found several errors in my TodoMVC implementation while running cypress test suites against my implementation, but it wasn't so difficult to fix it. After several tweaks I successfully managed to run cypress test suites in GitHub Actions. So now my TodoMVC is tested in CI environtmen! 👍 https://github.com/capsidjs/todomvc2

## Tech

### JavaScript: the first 20 years

- This week I found a paper, titled "JavaScript: the first 20 years", which was co-authored by Brendan Eich and Allen Wirfs-Block. I came across this paper via the podcast [misreading.chat](https://misreading.chat/). This is the definitive guide of the history of JavaScript. I think every author who writes anything about JavaScript have to read this entire paper. When I wrote a chapter of [denobook volume 2](https://deno-ja.booth.pm/items/1574063), I used to collect many information about the history of JavaScript around web, but I couldn't find many. Brendan's blog post was an important fragment of such history, but it was far from comprehensive guide. Now we have this paper. This is the reliable written history of JavaScript.

## MyProject

### Tententen

- This week I created confirm-dialog. After creating it I started wanting to create the storybook of Tententen. Storybook has the preset for vanillajs project called `@storybook/html`. It worked first smoothly but I found a problem that its transpilation doesn't handle field decorators correctly. So I need to replace the loader of typescript with ts-loader (storybook's default uses babel-loader with `@babel/preset-typescript` which uses `@babel/proposal-decorators` for decorator transpilation and that's incovenient for capsid).

## Life

### Iyo's kitchen

- This week's Iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> 今日のミール <a href="https://t.co/bclGXlvp9P">pic.twitter.com/bclGXlvp9P</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1318171334476623872?ref_src=twsrc%5Etfw">October 19, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">完成したのがこちら。<br>すごくおいしくできて大満足！<br>炭水化物にペペロンチーノﾓﾈｰ <a href="https://t.co/C1wP3a7uSM">pic.twitter.com/C1wP3a7uSM</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1318900790019256320?ref_src=twsrc%5Etfw">October 21, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Iyo's photo

- This week's best photo by Iyo!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">マックカフェ <a href="https://t.co/qDgMXRNsfV">pic.twitter.com/qDgMXRNsfV</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1319873780164956171?ref_src=twsrc%5Etfw">October 24, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
