---
lang: en
---

## OSS

### denoland/deno

- Contributions

  - https://github.com/denoland/deno/pull/8092

    I tried to fix URLSearchParams constructor with the case of invalid escape sequenses. `decodeURIComponent('a=%xy')` throws an Error because '%xy' is invalid escape sequense, but new URLSearchParams('a=%xy')`doesn't throw and it works like the value of key`a`is`%xy'. URLSearchParams are more tolerant with malformed URLs. Deno's parser of query string uses `decodeURIComponet` but that was impossible because of this difference of these 2 APIs. In the above PR, I changed the parsing of it, and allowed such malformed cases.

  - https://github.com/denoland/deno/pull/8133

    There is a plan for releasing nightly build of deno (See [#6974](https://github.com/denoland/deno/issues/6974)), and the issue is blocked by another issue [#6037](https://github.com/denoland/deno/issues/6037). So I tried to solve it. It's still in review.

  - https://github.com/denoland/deno/pull/8199

    Tried to fix the new API `prompt` which had a bug with printing non-ascii characters on windows.

    To fix this issue, I needed to set up EC2 instance of Windows Server 2019, and as a side effect I finally created a powershell script which prepares all of necessary dependecies for building deno with one single command. https://github.com/kt3k/setup.ps1

## MyProject

### Tententen

- This week I improved the storybook of Tententen which now includes Toast and ConfirmDialog components. First I replaced default babel-loader with ts-loader because capsid's decorators need to be transpiled by typescript. Second I added mutation observer to document.body which calls `capsid.prep()` for each dom element addition, which was necessary for capsid components correctly initialized on each page transition inside storybook. Third I rewrite the story with very declarative manner by utilizing the simple dom helper method [create](https://github.com/monoidcc/Tententen/blob/4bc2b50/src/util/dom.ts#L15). The result of these refactoring was like [this](https://github.com/monoidcc/Tententen/blob/4bc2b504bb7a357cf55a386a23efe1afdc59807c/src/toast.stories.ts). It's totally declarative and very readable and maintainable. I'm very satisfied with this result.

## Life

### Iyo's study of web

- This week Iyo tried to mimic Japanese old-fashioned SNS "前略プロフィール" with her html skill. It resulted as https://iyochan.love/. It was a good job.

### Iyo's kitchen

- This week she cooked an apple pie and it was a great job 👍

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">アップルパイできました⭐️ <a href="https://t.co/M0Df07hWZf">pic.twitter.com/M0Df07hWZf</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1321464343498682368?ref_src=twsrc%5Etfw">October 28, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Tokyo Train Museum

- This week Iyo and I went to Tokyo Metro Museum.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">エッチ！！！！！！！ <a href="https://t.co/yWprvhDQzg">pic.twitter.com/yWprvhDQzg</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1322021353906556928?ref_src=twsrc%5Etfw">October 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">鉄道に興味ないタイプのエンジニアの方です(早くカフェに行ってプログラム書き隊の隊員さん!) <a href="https://t.co/m4RW5FcYvy">pic.twitter.com/m4RW5FcYvy</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1322038292116721664?ref_src=twsrc%5Etfw">October 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">鉄道大好きっ子 <a href="https://t.co/CUpENTmvb4">pic.twitter.com/CUpENTmvb4</a></p>&mdash; Yoshiya Hinosawa 𓆈 (@kt3k) <a href="https://twitter.com/kt3k/status/1322066852625838080?ref_src=twsrc%5Etfw">October 30, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Iyo's photo

- This week's best photo of Iyo!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">飛んだ! <a href="https://t.co/WDWVMF27KD">pic.twitter.com/WDWVMF27KD</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1322460249199009792?ref_src=twsrc%5Etfw">October 31, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

### Nino's walk

- She tries to enter many shops (but failed)!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">わかる <a href="https://t.co/h41YmfJyUz">pic.twitter.com/h41YmfJyUz</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1321746176492728320?ref_src=twsrc%5Etfw">October 29, 2020</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
