---
lang: en
---

## OSS

### denoland/deno

Deno is a new JavaScript and TypeScript runtime.

- contributions

  - https://github.com/denoland/deno/pull/10454

    I tried to fix the false negative in wpt test cases. This has been caused by the wrong exit call in the microtask, which canceled the uncaught error in the main test cases. ref: [#10445](https://github.com/denoland/deno/issues/10445). I'm really surprised by this behavior existing. But more surprisingly according to Ben (@bnoordhuis), this would be difficult to fix. I don't know how difficult it is, but I want to fix this behaivor because this is absolutely confusing.

### denoland/deno_std

`deno_std` is the standard modules of Deno 🌧🦕

- contributions
  - https://github.com/denoland/deno_std/pull/888

    Implemented writeBuffer function of `src/node_file.cc`, the fs internal bindings of node.js. It's depended by net.Socket, which is depended by tty.WriteStream, which is depended by process.stdout, which is ultimately I want to implement in the future.

### kt3k/tee_async_iterable

- Created a small library which provides "tee" feature for async iterables.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">AsyncIterable を N分岐させるライブラリ作った (deno, node.js 両対応) <a href="https://t.co/CAoF7fSol6">https://t.co/CAoF7fSol6</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1386202181225775105?ref_src=twsrc%5Etfw">April 25, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  After I created the library, I noticed WHATWG streams have `tee` function builtin. I like it.

### monoidcc/Cascade

Cascade is a generative art app for mobile 🎨

- This week I renamed the project from Tententen to Cascade because the artworks this app can create look like cascading layers of boxes.

  And I continued working on miscellaneous stylings which only apply for Android devices. I also collected screenshots, icon images, cover images, app description, all other things necessary to publish in Google Play. On Sunday I finally published it to Google Play Console and now am waiting for the review finished.
