---
lang: en
---

## OSS

### monoidcc/Cascade

- Shipped a beta version of Cascade (formerly known as Tententen) to Google Play Store. It required many chores, such as taking screenshots, creating the picture for promotion etc. Now the app is available in Google Play https://play.google.com/store/apps/details?id=cc.monoid.cascade

## Tech

### Semicolon in JavaScript

- Did a poll about an old JavaScript topic: semicolon or not semicolon.

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">Do you write JS/TS with semicolons?</p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1389840154106335233?ref_src=twsrc%5Etfw">May 5, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

  The result was 2/3 use semicolons, and 1/3 don't.

  Personally I first used semicolons when I started writing JavaScript more or less seriously in around 2010. [This hobby app](https://github.com/kt3k/krile-drive/blob/gh-pages/fps25.html) which I was working on in 2012 has semicolons consistently.

  But I switched once to no-semicolon circle around 2015~2016 when I found the tool [Standard](https://standardjs.com/). I even write [the slides](https://qiita.com/kt3k/items/46da0271d5e749705070) (in Japanese) and gave some in-house talk several times in my work places. This tool promotes no-semicolon style writing of JavaScript and has some popularity. At some point this tool looked 'fairly popular' in JavaScript world, and I wrote most of my libs and apps all in this Standard style i.e. without semicolons for a long time. Even major libraries like `npm`, `next`, `nuxt`, etc are written in no semicolons. So I think no-semicolon style is actually 'common' in JavaScript ecosystem and it is an established style of writing it.

  Very recently I switched again to with-semicolon style. This is mainly because `deno fmt` doesn't support no-semicolon and I've got tired of using both with-semi and no-semi styles in my life.

  I'm fine with this transition of my style, but my fear is that how much users are prevented using deno by the fact that it doesn't support no-semicolon style. Major tools seem all supporting both with-semi and no-semi styles. Prettier first tried to be opinionated on this, but finally it adopted no-semi option. The tools which don't accept this option are only `standard` (no-semi only), `rome` (with-semi only) and `deno fmt`. I'm not totally confident about this decision of `deno fmt` because there are definitely some significant number of people who want this option.

## Event

### Web24

- Japanese Web Tech community held 24-hour tech talk conference called Web24. It was an interesting approach. I listened to some talks.

## Life

### Iyo's kitchen

- This week's Iyo's kitchen!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> ササミフライ <a href="https://t.co/JCOEPrs3Zg">pic.twitter.com/JCOEPrs3Zg</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1389194266560237570?ref_src=twsrc%5Etfw">May 3, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
