---
lang: en
---

## OSS

### alangpierce/sucrase

Sucrase is a fast typescript transpiler.

- These days I'm interested in Sucrase typescript transpiler. It skips the process of creating AST from the source code and directly works on token stream for performing type stripping. Because of this design decision, it says it's faster than SWC or Esbuild. I feel this tool is worth trying for some specific purposes such as transpiling on the edge server, etc.

### kt3k/twd

- 'twd' is tailwind like CLI tool for Deno. I created this tool for replacing tailwind usages in Deno ecosystem, specifically I'm going to use this in doc website of packup.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">tailwind のためだけに node を引っ張り出すのが嫌だったので Deno から tailwind (的な css 生成) が出来るツールを作った <a href="https://t.co/qgfOn5g9bR">https://t.co/qgfOn5g9bR</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1400458103431200775?ref_src=twsrc%5Etfw">June 3, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Tech

### Frontend Testing in Deno

- I was able to run react-testing-library for the first in Deno with [this example](https://gist.github.com/kt3k/f1975da5533bd567c1b363ccaec2cf69). One thing unfortunate about this is that this example is not type checked because I import unpkg version of react, react-dom, and react-testing-library which don't provide type definition. Why didn't I use esm.sh or skypack version of them? Because they didn't work with esm.sh or skypack for very obscure reasons. React and react-dom actually work with those CDNs, but the react-testing-library is actually the cause of the problem, which doesn't work with type providing CDNs.

## Life

### Baby

- Iyo-chan and I got a baby finally. He/she's 7 week old in her. He/she is expected to be born in January next year.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ベビちゃん!😃 <a href="https://t.co/OruGBpPZcF">https://t.co/OruGBpPZcF</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1399692430375493633?ref_src=twsrc%5Etfw">June 1, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Hobby

### Mario Maker 2

- These days I play Mario Maker 2 sometimes. In this game, any user can create their own levels and publish them to the world, and every player can play them. It's like Super Mario with open central level registry. Some levels are extremely difficult to solve.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">ドッスン <a href="https://twitter.com/hashtag/SuperMarioMaker2?src=hash&amp;ref_src=twsrc%5Etfw">#SuperMarioMaker2</a> <a href="https://t.co/o8B561B6HU">pic.twitter.com/o8B561B6HU</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1401206588942086146?ref_src=twsrc%5Etfw">June 5, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
