---
lang: en
---

## Tech

### microCMS and Deno

- I found an example of using Deno with `microCMS`. `microCMS` is a headless content management system. Content Management System, typically like WordPress, traditionally has it's frontend integrated, but because that frontend and is very tightly integrated into the system, the frontend tends to become old quickly and can't update itself because of its tightly integrated nature. Headless CMSes try to solve this issue by dropping the entire frontend from the system. Instead they provide API to access the contents through REST or GraphQL APIs. `microCMS` is one of those system, which is created in Japan and now popular in Japan. Contentful is another such system, which seems the most popular internationally among those type of software.

  [This article](https://zenn.dev/ryusou/articles/alephjs-microcms) is a tutorial of using Deno with microCMS. The article actually uses Aleph as the frontend framework. I now wonder how it looks if I we Deno Deploy as the frontend of microCMS 🤔

## OSS

### microsoft/TypeScript

- I sent a PR to fix the type of RegExp.prototype.compile to TypeScript a few weeks ago, and they finally merged [it](https://github.com/microsoft/TypeScript/pull/46038) this week. This indirectly fixes Deno's [issue](https://github.com/denoland/deno/issues/11663).

## Job

### Looking for a designer

- This week we published a job posting for the Lead Designer position. https://deno.com/jobs/designer/

## Life

### Fuu-chan

- This week's Fuu-chan!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">食後のウトウトタイム <a href="https://t.co/5z4ABT9A1u">pic.twitter.com/5z4ABT9A1u</a></p>&mdash; あずき (@okomekirai) <a href="https://twitter.com/okomekirai/status/1444239403317022720?ref_src=twsrc%5Etfw">October 2, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
