---
lang: en
---

## Tech

### Lean prover

https://leanprover.github.io/

- Started learning Lean prover. Lean is a programming language and also a theorem prover from Microsoft Research. It can be used as an ordinary programming language like Rust, Golang, OCaml, but also has an ability to prove mathematical theorems. I'm more interested in the aspect of mathematical theorem prover of it.

  I ultimately would like to develop my own theorem prover in the future, but it doesn't seem feasible for now because of too much complexity. So I wanted to learn some existing provers first and was looking for 'the best one' to learn for a long time. The first candidate was HOL Light because it formalizes the most items in [the 100 theorems](https://www.cs.ru.nl/~freek/100/), and also the formalized theorems look presented in really clean format. But I found it disappointing after a while because it's not ported to any platform other than some of linux. It also can't build with the latest version of OCaml. It didn't look well maintained. And then I found Lean. It's ported to all major platforms(!), and it even self hosts the compiler(!). So the effort into it looks enormous. The presentation of the theorems are not perfect in my view. Especially the use of non ascii symbols of built-in operators seems terrible to me. I've never seen a language with non-ascii operators got popular. I personally think that's the wrong design, but anyway the runtime works smoothly on my mac. So I decided to learn it for a while.

### gpg-agent

- I suddenly was unable to commit anything with git on Tuesday because of gpg signing error. I couldn't figure out the reason of it because the gpg software only reported like 'failed to sign the data' and it didn't provide any further information about the reason of failure. After some research I accidentally fixed the problem with the command `gpgconf --kill gpg-agent`. The command was part of the steps of fixing another problem about gpg (I forgot what the problem was). So I finally couldn't figure out the reason, but found a solution apparently.

### cdktf

- I found HashiCorp is now building alternative language interfaces for terraform. It's called CDK for Terraform (or CDKTF).

  When I shared it on twitter, it had a lot of attention.

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr">へー terraform が typescript で書けるやつが始まってるのか・・・ <a href="https://t.co/tuSrDvWktp">https://t.co/tuSrDvWktp</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1458108583376084995?ref_src=twsrc%5Etfw">November 9, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## Life

### Baby

- Our baby is now in the 31th week.

  <blockquote class="twitter-tweet"><p lang="und" dir="ltr">31w🥰 <a href="https://t.co/D3HTEfgNH6">pic.twitter.com/D3HTEfgNH6</a></p>&mdash; あずき　31w🐘🦕🦖 (@okomekirai) <a href="https://twitter.com/okomekirai/status/1458813198799609856?ref_src=twsrc%5Etfw">November 11, 2021</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
