---
lang: en
---

## Job

### crypto-browserify

- This week I was porting crypto-browserify to `deno_std` (standard modules for Deno). Deno natively supports WebCrypto APIs, but they are almost asynchronous APIs. Because Node.js crypto APIs are mostly synchronous APIs, WebCrypto is not usable for shimming these APIs. So I chose to port `crypto-browserify` to `deno_std` to support Node.js crypto APIs in Deno.

  `crypto-browserify` is a crypto module implementation in all JavaScript for use in browser. It's not actively developed now, but it seems enough well maintained, and has enough features. At least it covers most features of crypto which we're interested in. We were especially interested in `publicEncrypt` API because it's used in mysql driver package for node. It seems using it for encrypting password when connecting to the server.

  It required really a lot of work, but at the end we successfully implemented `publicEncrypt` by using this port and was able to make `mysql2` module works.

### WebView

https://twitter.com/clockmaker/status/1498555651055779840

- The tweet above says macOS uses WebViews in several places in the OS's native UIs. It's not that much surprising as WebView is almost dominant in Desktop UI market (see Slack, VSCode, etc). But some people still believe Web/WebView is not a tool for building application's UI, but it's for showing simple 'documents', and also there are some people who believe the native UI libs are always better than Web. So the usage of WebView in macOS UI is another good evidence to show to those people that Web being really a good choice for building application's UI.

## Life

### Shiseido

- Went to Shiseido parlour together with Iyo-chan. We had strawberry parfaits, and they were really good!

  <blockquote class="twitter-tweet"><p lang="ja" dir="ltr"><a href="https://twitter.com/hashtag/kt3kmeal?src=hash&amp;ref_src=twsrc%5Etfw">#kt3kmeal</a> いちごパフェ <a href="https://t.co/w2XhNO0eX5">pic.twitter.com/w2XhNO0eX5</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1500364410266984453?ref_src=twsrc%5Etfw">March 6, 2022</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
