---
lang: en
---

## Tech

### CJS ESM Polyglot

- I learned the trick of JavaScript that the expression `typeof await /0/["test"]` is valid in both CJS and ESM context, but it evaluate differently in both contexts. It parses like `typeof (await (/0/["test"]))` in ESM (`/0/` is a regexp here), but `(typeof await) / 0 / ["test"]` (=== NaN) in CJS. By using this, one can define the module which works as both CJS and ESM modules. More details are explored [this slides](https://speakerdeck.com/qnighy/hands-on-native-esm-at-jsconf-jp-2022?slide=170) by @qnighy.

### ChatGPT

- ChatGPT was released this week. It looks extremely good. It still gives wrong answers sometimes, but it also gives unbelievably well written answers in many cases. Now everybody is playing with it in a lot of creative ways.

### Explicit Resource Management

- [Explicit Resource Management](https://github.com/tc39/proposal-explicit-resource-management) proposal went to the stage 3 this week. This proposal, in my view, is the most life changing proposal in recent a few years in ECMAScript. Probably this is the biggest change after the addition of async/await syntax. I'm looking forward to using it in the near future.

## Hobby

### Business Card

- I created a new business card. I don't need cards already for long time as a software engineer/a web developer. I don't need to introduce myself with cards. I created a card just because I wanted to experiment an idea of new design.

  This is my 4th time to design my business card. This time I tried to make it as minimal as possible. Maybe it's too minimal to be considered as 'a business card' as it even doesn't include email address. However in my view it's sufficient for a business card for a software engineer as other necessary info are linked from the given info, and I only contract with people who understand how to use the browsers and the internet.

  <blockquote class="twitter-tweet"><p lang="en" dir="ltr">New business card <a href="https://t.co/BPlgcSh7dS">pic.twitter.com/BPlgcSh7dS</a></p>&mdash; Yoshiya Hinosawa (@kt3k) <a href="https://twitter.com/kt3k/status/1598872717163630592?ref_src=twsrc%5Etfw">December 3, 2022</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
