---
lang: en
---

## Tech

### `File#webkitRelativePath`

https://developer.mozilla.org/en-US/docs/Web/API/File/webkitRelativePath

- File class in Web Standard API has `webkitRelativePath` property. The name looks like the vendor prefixed version of the property `relativePath`, but it actually isn't. This property is now implemented in all major browsers with this exact name, including Firefox. I [asked](https://github.com/WICG/entries-api/issues/42) the spec editor about the situation, but they say they just documented the de facto standard implemented in all browsers, and they don't have a way to revert or change it. So it means that `webkitRelativePath` property is a web standard API name as is. I shared this to colleague, but everyone looks surprised or even looks trying to rejecting that fact.

  BTW the API is already included in DOM typing of TypeScript, but Deno still doesn't have it. That discrepancy caused some minor issue in the PR to my hobby project, [packup](https://github.com/kt3k/packup/pull/54#pullrequestreview-1538714208). So I tried to prevent it by [adding `webkitRelativePath`](https://github.com/denoland/deno/pull/20306) to Deno, but it's still in review.

### Biome

- Biome has been [announced](https://biomejs.dev/blog/annoucing-biome) this week. Biome is the successor project of [Rome](https://github.com/rome/tools), which was started a while ago by [@sebmck](https://github.com/sebmck), but disappeared in the end of the last year.
